package com.itopview.wm.cm.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.bill.OperationStatus;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.form.control.SplitContainer;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;

import java.util.EventObject;

/**
 * @Description 特殊合同_加工视图 打开单据类型默认为加工协议
 * @Author LinRui
 * Date 2023/8/15 20:51
 **/
public class SpecialContractJGPlugin extends AbstractBillPlugIn {

    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        IDataModel model = this.getModel();
        OperationStatus status = this.getView().getFormShowParameter().getStatus();
        if(OperationStatus.ADDNEW == status){
            this.getModel().setValue("tpv_contracttype","X"); //加工协议类型为 加工协议
            //this.getView().setEnable(false,"单据体标识","字段标识");  //锁定分录字段
            this.getView().setEnable(false,"tpv_contracttype");  //锁定字段
        }
    }

    /*@Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        IDataModel model = this.getModel();
        OperationStatus status = this.getView().getFormShowParameter().getStatus();
        if(OperationStatus.ADDNEW == status){
            this.getModel().setValue("tpv_contracttype","X"); //加工协议类型为 加工协议
            //this.getView().setEnable(false,"单据体标识","字段标识");  //锁定分录字段
            this.getView().setEnable(false,"tpv_contracttype");  //锁定字段
        }
    }*/
}
