package com.itopview.wm.cm.formplugin.list;

import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.ListShowParameter;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

/**
 * @Description 特殊合同_租船订舱合同视图（菜单发布名：加工协议） 列表过滤单据类型为租船订舱合同的数据
 * @Author LinRui
 * Date 2023/8/15 21:27
 **/
public class SpecialContractZCList extends AbstractListPlugin  implements Plugin {
    @Override
    public void setFilter(SetFilterEvent e) {
        super.setFilter(e);
        ListShowParameter parameter = (ListShowParameter) this.getView().getFormShowParameter();
        if(null != parameter) {
            String formId = parameter.getBillFormId();  //获取表单的标识
            if(null != formId && !"".equals(formId)) {
                    QFilter filter = new QFilter("tpv_contracttype", QCP.equals, "A");  //单据类型(下拉列表类型)：租船订舱合同
                    e.getQFilters().add(filter);
            }
        }
    }

}
