package com.itopview.wm.dt.formplugin.dynamic;

import java.math.BigDecimal;
import java.util.EventObject;
import java.util.HashMap;
import java.util.Map;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.control.Control;
/**
 * @author GX
 * 可付款比例-动态表单插件
 */
public class PaypercentFormPlugin extends AbstractBillPlugIn {
	 @Override
		public void registerListener(EventObject e) {
			super.registerListener(e);
			this.addClickListeners(new String[]{"btnok","btncancel"});
		}
	 
	    /**
	     * 点击事件，点击确认回填数据
	     */
		@Override
		public void click(EventObject evt) {
			super.click(evt);
			String key = ((Control) evt.getSource()).getKey();
			switch (key) {
			case "btnok" :
				DynamicObject dataEntity = this.getModel().getDataEntity(true);
				BigDecimal paypercent=dataEntity.getBigDecimal("tpv_paypercent");//可付款比例
				Map<String, BigDecimal> paypercentmap=new HashMap<String, BigDecimal>();
				paypercentmap.put("tpv_paypercent", paypercent);
				this.getView().returnDataToParent(paypercentmap);
				this.getView().close();
				break;
			case "btncancel":
				this.getView().close();
				break;
			}
		}
}