package com.itopview.wm.dt.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.bill.OperationStatus;
import kd.bos.entity.datamodel.events.ChangeData;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;

import java.util.EventObject;

/**
 * @Description: 项目建档视图 新增赋默认值不可编辑
 * @Author LinRui
 * @Date 2024/3/22 13:20
 */
public class FilingXMFormPlugin extends AbstractBillPlugIn {
    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        OperationStatus status = this.getView().getFormShowParameter().getStatus();
        if(OperationStatus.ADDNEW == status){
            this.getModel().setValue("tpv_filetypes","2"); //建档类型为 项目建档
        }
    }

    @Override
    public void propertyChanged(PropertyChangedArgs e) {
        super.propertyChanged(e);
        String name = e.getProperty().getName();
        ChangeData cd = e.getChangeSet()[0];
        switch (name) {
            case "tpv_project":
            case "tpv_projectfull":
                String value = (String) this.getModel().getValue(name);
                String replaceAll = value.replace(" ", "");//去除空格
                this.getModel().setValue(name, replaceAll);
                break;
        }
    }
}
