package com.itopview.wm.dt.formplugin.form;

import java.util.EventObject;

import com.itopview.wm.dt.utils.PickShipsHelper;

import com.itopview.wm.sys.formplugin.form.Tpl1BillPlugIn;
import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.form.control.events.ItemClickEvent;
import kd.bos.form.field.BasedataEdit;
import kd.bos.form.field.events.BeforeF7SelectEvent;
import kd.bos.form.field.events.BeforeF7SelectListener;

/**
 * 其他出库单-表单插件
 * 
 * @description
 * @author longh
 * @date 2023年9月22日
 */
public class OtherOutBillPlugin extends AbstractBillPlugIn implements BeforeF7SelectListener {

	@Override
	public void registerListener(EventObject e) {
		super.registerListener(e);
		this.addItemClickListeners(new String[] { "tpv_tbmainentry" });
		((BasedataEdit) this.getControl("tpv_approvalprocess")).addBeforeF7SelectListener(this);
	}

	@Override
	public void itemClick(ItemClickEvent evt) {
		super.itemClick(evt);
		String itemKey = evt.getItemKey().toLowerCase();
		switch (itemKey) {
		case "tpv_pick":
			PickShipsHelper.pickClick(this.getView());
			break;
		default:
			break;
		}
	}

	@Override
	public void beforeF7Select(BeforeF7SelectEvent e) {
		String name = e.getProperty().getName();
		String entityId = this.getModel().getDataEntityType().getName();
		switch (name) {
			case"tpv_approvalprocess":
				Tpl1BillPlugIn.whethertopublish(e,entityId);
				break;
			default:
				break;
		}
	}
}
