package com.itopview.wm.dt.formplugin.list;

import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.ListShowParameter;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

/**
 * @Description 采购协议视图列表 过滤供应商数据
 * @Author LinRui
 * Date 2023/8/17 12:56
 **/
public class AgreementPusList extends AbstractListPlugin implements Plugin {
    @Override
    public void setFilter(SetFilterEvent e) {
        super.setFilter(e);
        ListShowParameter parameter = (ListShowParameter) this.getView().getFormShowParameter();
        if(null != parameter) {
            String formId = parameter.getBillFormId();  //获取表单的标识
            if(null != formId && !"".equals(formId)) {
                QFilter filter = new QFilter("tpv_asstacttype", QCP.equals, "0");
                e.getQFilters().add(filter);
            }
        }
    }
}
