package com.itopview.wm.dt.task;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.form.events.AfterDoOperationEventArgs;

/**
 * 销售发货发送传真和发送按钮功能
 * WangShuGuang
 */
public class ElectronicFaxTask extends AbstractBillPlugIn {
    @Override
    public void afterDoOperation(AfterDoOperationEventArgs e) {
        super.afterDoOperation(e);
        String key = e.getOperateKey();
        // 监听发送传真和发送邮件按钮
        if (key.equals("donothing")) {
            judgeFax(e);
        } else if (key.equals("donothingmail")) {

        }
    }

    public void judgeFax(AfterDoOperationEventArgs e) {
        DynamicObject dataEntity = this.getModel().getDataEntity(true);
        DynamicObjectCollection tpvDtSalepickZy = this.getView().getModel().getEntryEntity("tpv_dt_salepick_zy");
        DynamicObjectCollection tpvDtSalepickIn = this.getView().getModel().getEntryEntity("tpv_dt_salepick_in");
        if (tpvDtSalepickZy.size() > 0) {
            for (int i = 0; i < tpvDtSalepickZy.size(); i++) {
                DynamicObject dynamicObject = tpvDtSalepickZy.get(i);
                DynamicObject tpvWarehouseIn = dynamicObject.getDynamicObject("tpv_warehouse_zy");
                String tpvFaxnumber = tpvWarehouseIn.getString("tpv_faxnumber");
                if (null == tpvFaxnumber || tpvFaxnumber.equals("")) {
                    this.getView().showErrorNotification("此分录未仓库未维护传真号");
                }
            }
        }
        if (tpvDtSalepickIn.size() > 0) {
            for (int i = 0; i < tpvDtSalepickZy.size(); i++) {
                DynamicObject dynamicObject = tpvDtSalepickZy.get(i);
                DynamicObject tpvWarehouseIn = dynamicObject.getDynamicObject("tpv_warehouse_in");
                String tpvFaxnumber = tpvWarehouseIn.getString("tpv_faxnumber");
                if (null == tpvFaxnumber || tpvFaxnumber.equals("")) {
                    this.getView().showErrorNotification("此分录未仓库未维护传真号");
                }
            }
        }
    }
}
