package com.itopview.wm.dt.task;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.itopview.wm.utils.HttpUtils;
import com.itopview.wm.utils.YEM;
import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.exception.KDException;
import kd.bos.schedule.executor.AbstractTask;
import kd.bos.servicehelper.BusinessDataServiceHelper;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import static com.itopview.wm.utils.HttpHelper.httpGet;

/**
 * @Description: //智能印控（章管家）接口
 * @Author LinRui
 * @Date 2023/9/6 19:12
 */
public class PrintControlTask extends AbstractTask {
    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        //runContract(map);
    }

    private void runContract(Map<String, Object> arg1) {
        try {
            String startDate = (String)arg1.get("startDate");
            String endDate = (String)arg1.get("endDate");
            String begin = "";
            String end = "";
            if (!YEM.isEmpty(startDate) && !YEM.isEmpty(endDate)) {
                begin = startDate.replaceAll("-", "");
                end = endDate.replaceAll("-", "");
            } else {
                SimpleDateFormat format = new SimpleDateFormat("yyyyMMdd");
                begin = format.format(new Date());
                end = format.format(new Date());
            }
            Map<String, String> params = new HashMap();
 			params.put("startDate", begin);
 			params.put("endDate", end);
            DynamicObject[] load = BusinessDataServiceHelper.load("", "sss id sasddsd..asd", null);

            //获取url链接，并携带参数  params --> & "" = 赋值
            String URL = HttpUtils.getInstance().doGet("url",params);
            //获取token 或者 "手动填写"
//            String Token = JSON.parseObject(httpGet("服务器地址+/api/getToken.htm" +
//                    "?client_id={client_id}&client_secret={client_secret}" +
//                    "&grant_type=code&response_type=json")).getString("accessToken");
            //请求头 验证 参数，如是否有token验证。。
//            Map<String, String> headers = new HashMap<>();
//            headers.put("Content-type","application/json");
//            headers.put("Accep","text/html,text/xml,application/xml");
//            headers.put("Connection","keep-alive");
//            headers.put("token",Token);
//            headers.put("User-Agent","Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2");
//            Header[] headers = { new BasicHeader("Content-type", "application/json"),
//                    new BasicHeader("Accep", "text/html,text/xml,application/xml"),
//                    new BasicHeader("Connection", "keep-alive")
//                    ,new BasicHeader("token", Token)
//                    , new BasicHeader("User-Agent",
//                    "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.2) Gecko/20100316 Firefox/3.6.2") };
            String result = httpGet(URL);
            JSONObject body = JSON.parseObject(result);
            String code = body.getString("code");   //code 或者是 status 按需求
            if (code.equals("200")) {
                JSONArray Array = (JSONArray) body.get("data");
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
