package com.itopview.wm.sc.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.form.control.Control;
import kd.bos.form.control.events.BeforeClickEvent;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.EventObject;

/**
 * ClassName: FundOcpRateFromPlugin
 * Description:
 * date: 2023/9/20 16:03
 *
 * @author: Guo jiaChen
 * @version:
 * @since JDK 1.8
 */
public class FundOcpRateFromPlugin extends AbstractBillPlugIn {
    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        String[] itemListener = {"tpv_btnsave"};
        this.addClickListeners(itemListener);
    }



    @Override
    public void beforeClick(BeforeClickEvent evt) {
        super.beforeClick(evt);
        Control key = (Control) evt.getSource();
        if ("tpv_btnsave".equals(key.getKey())){
            SimpleDateFormat sdf= new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            String date = sdf.format(System.currentTimeMillis());
            Date parse = null;
            try {
                 parse = sdf.parse(date);
            } catch (ParseException e) {
                throw new RuntimeException(e);
            }
            this.getModel().setValue("tpv_lastdate", parse);
        }
    }
}
