package com.itopview.wm.sys.api;

import java.io.Serializable;
import java.util.Map;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import kd.bos.openapi.common.custom.annotation.ApiController;
import kd.bos.openapi.common.custom.annotation.ApiMapping;
import kd.bos.openapi.common.custom.annotation.ApiPostMapping;
import kd.bos.openapi.common.custom.annotation.ApiRequestBody;
import kd.bos.openapi.common.result.CustomApiResult;

@ApiController(value = "tpv_zgj", desc = "章管家对接")
@ApiMapping("/tpv/zgj")
public class ZGJController implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiPostMapping(value = "sealResult", desc = "章管家回推用印结果")
	public CustomApiResult<Map<String, Object>> sealResult(
			@NotNull @Valid @ApiRequestBody(value = "参数") Map<String, Object> map) {

		return CustomApiResult.success(map);
	}

}
