package com.itopview.wm.sys.api.yargonpdfapi.model;


import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;
import java.util.List;

/**
 * 抓取回传接口
 * @author LiuHB
 * @version 1.0
 */
@ApiModel
public class GrabPostbackModel  implements Serializable {
    @ApiParam(value = "创建时间")
    private String createTime;
    @ApiParam(value = "抓取时间")
    private String startTime;
    @ApiParam(value = "抓取抬头")
    private String fileTitle;
    @ApiParam(value = "抬头日期")
    private String fileDate;
    @ApiParam(value = "抬头时间（可能为空）")
    private String fileTime;
    @ApiParam(value = "表单id")
    private String formId;
    @ApiParam(value = "地域")
    private String region;
    @ApiParam(value = "钢材类别")
    private String steelType;
    @ApiParam(value = "类别")
    private String category;
    @ApiParam(value = "data")
    private List<List<DataModel>>  data;

    public List<List<DataModel>> getData() {
        return data;
    }

    public void setData(List<List<DataModel>> data) {
        this.data = data;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getFileDate() {
        return fileDate;
    }

    public void setFileDate(String fileDate) {
        this.fileDate = fileDate;
    }

    public void setFileTitle(String fileTitle) {
            this.fileTitle = fileTitle;
        }
    public String getFileTitle() {
        return fileTitle;
    }

    public void setFileTime(String fileTime) {
        this.fileTime = fileTime;
    }
    public String getFileTime() {
        return fileTime;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }
    public String getFormId() {
        return formId;
    }

    public void setRegion(String region) {
        this.region = region;
    }
    public String getRegion() {
        return region;
    }

    public void setSteelType(String steelType) {
        this.steelType = steelType;
    }
    public String getSteelType() {
        return steelType;
    }

    public void setCategory(String category) {
        this.category = category;
    }
    public String getCategory() {
        return category;
    }

    @Override
    public String toString() {
        return "GrabPostbackModel{" +
                "createTime='" + createTime + '\'' +
                ", startTime='" + startTime + '\'' +
                ", fileTitle='" + fileTitle + '\'' +
                ", fileDate='" + fileDate + '\'' +
                ", fileTime='" + fileTime + '\'' +
                ", formId='" + formId + '\'' +
                ", region='" + region + '\'' +
                ", steelType='" + steelType + '\'' +
                ", category='" + category + '\'' +
                ", data=" + data +
                '}';
    }
}

