package com.itopview.wm.sys.formplugin.form;

import java.util.EventObject;
import java.util.List;

import kd.bos.base.BaseShowParameter;
import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.bos.form.FormShowParameter;
import kd.bos.list.ListShowParameter;

/** 
* 联系人信息表单插件
* @data ：2023年4月1日 下午7:09:33 
*/
public class ContactinFormPlugin extends AbstractBillPlugIn{
	
	public void afterCreateNewData(EventObject e) {
		super.afterCreateNewData(e);	
	}
	
	public void afterBindData(EventObject e) {
		super.afterBindData(e);
		Integer condition = 0;
		FormShowParameter showParameter = this.getView().getParentView().getParentView().getFormShowParameter();
		Object customParam = showParameter.getCustomParam("tpv_supplier");
		if (null != showParameter.getCustomParam("tpv_customerid")){
			condition = 1;
			customParam = showParameter.getCustomParam("tpv_customerid");
		}
		List departmentid = showParameter.getCustomParam("departmentid");
		DynamicObject dataEntity = this.getView().getParentView().getParentView().getModel().getDataEntity(true);
		String name = dataEntity.getDataEntityType().getName();
		Object pkValue =dataEntity.getPkValue();
		if ("bd_supplier".equals(name)){
			this.getView().getModel().setValue("tpv_supplier",pkValue);
		}else if ("bd_customer".equals(name)){
			this.getView().getModel().setValue("tpv_customer",pkValue);
		}
//		if (condition == 0){
//			this.getView().getModel().setValue("tpv_supplier",pkValue);
//		} else {
//			this.getView().getModel().setValue("tpv_customer",pkValue);
//		}
		if(departmentid != null && !departmentid.isEmpty())
		{			
			for (int i=0;i<departmentid.size();i++)
			{
				if(i>0)
				{
					this.getModel().insertEntryRow("tpv_entryentity", i);
				}				
				this.getView().getModel().setValue("tpv_basedata",departmentid.get(i),i);	
	        }										
		}
	}
	
	
	@Override
	public void propertyChanged(PropertyChangedArgs e) {
		super.propertyChanged(e);
		IDataModel model = this.getModel();
		String name = e.getProperty().getName();
		switch (name) {		
		case "tpv_basedata":
			department();
			break;		
		}
	}
	
	public void department()
	{	
		String department ="";
		//获取当前数据包
		DynamicObject dataEntity = this.getModel().getDataEntity(true);
		//获取单据体数据的集合
		DynamicObjectCollection goodsEntities=dataEntity.getDynamicObjectCollection("tpv_entryentity");
		for (DynamicObject entryObj : goodsEntities) 
		{				
			DynamicObject creatorDObj = (DynamicObject) entryObj.getDynamicObject("tpv_basedata");
			if(creatorDObj!=null)
			{
				String basedata = (String) creatorDObj.getString("name");
				if(!department.contains(basedata))
				{
					department += basedata +",";
				}					
			}		
		}
		if(department.contains(","))
		{
			this.getModel().setValue("tpv_department", department.substring(0,department.length()-",".length()));
		}
		else 
		{
			this.getModel().setValue("tpv_department", department);
		}		
	}
}
