package com.itopview.wm.sys.formplugin.list;

import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.ListShowParameter;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;

/**
 * @author zhouc
 * @date 2024/2/22 16:55
 * @className RequirApplyListPlugIn
 * @description 需求申请风格一列表过滤插件
 */
public class RequirApplyListPlugIn extends AbstractListPlugin {
    @Override
    public void setFilter(SetFilterEvent e) {
        super.setFilter(e);
        ListShowParameter parameter = (ListShowParameter) this.getView().getFormShowParameter();
        String billFormId = parameter.getBillFormId();
        if("kdtest_reqdemo1".equals(billFormId)){
            e.addCustomQFilter(new QFilter("billtype.number", QCP.equals,"pm_requirapplybill1_BT"));
        }
        else{
            e.addCustomQFilter(new QFilter("billtype.number", QCP.equals,"pm_requirapplybill_STD_BT_S"));
        }
    }
}
