package com.itopview.wm.sys.opplugin.validator;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.args.BeforeOperationArgs;

/** 
* 
* 联系人信息保存校验
* @author zhouc: 
* @data ：2023年4月6日 下午5:43:53 
*/
public class ContactinSaveOp extends AbstractOperationServicePlugIn{
	public void beforeExecuteOperationTransaction(BeforeOperationArgs e) {
		super.beforeExecuteOperationTransaction(e);
		String key = e.getOperationKey();
		switch (key) {	
		case "save":
			this.checkoutSave(e);
			break;

		default:
			break;
		}
	}
	private void checkoutSave(BeforeOperationArgs e) 
	{
		DynamicObject[] dataEntities = e.getDataEntities();
		for (DynamicObject dataEntity : dataEntities) 
		{
			DynamicObjectCollection cols = dataEntity.getDynamicObjectCollection("tpv_entryentity");
			if(cols.getRowCount()==0)
			{
				e.setCancel(true);
				e.setCancelMessage("部门列表分录至少存在一条数据");			
			}																										
		}
	}
}
