package com.itopview.wm.sys.utils;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;

/**
 * 规格解析表工具类
 */
public class ModelnumAnalysisUtils {
	
	public static void split(DynamicObject bill) {
	    DynamicObjectCollection tpv_entryentity_s = bill.getDynamicObjectCollection("tpv_entryentity");
	    for(int i=0;i<tpv_entryentity_s.size();i++) {
	    	DynamicObject tpv_entryentity = tpv_entryentity_s.get(i);
	    	String tpv_modelnum = tpv_entryentity.getString("tpv_modelnum");
	    	String [] split_s = tpv_modelnum.split("、");
	    	for(int j=0;j<split_s.length;j++) {
	    		String split = split_s[j];
	    		if(j==0) {
	    			tpv_entryentity.set("tpv_long", split);
	    		}else if(j==1) {
	    			tpv_entryentity.set("tpv_wide", split);
	    		}else if(j==2) {
	    			tpv_entryentity.set("tpv_highthick", split);
	    		}else if(j==3) {
	    			if(split.contains("φ")) {
	    				split = split.replaceAll("φ", "");
	    			}
	    			tpv_entryentity.set("tpv_diameter", split);
	    		}
	    	}
	    }
	}
}
