package tpv.fi.tpv_ap_ext.opplugin.op;

import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.fi.ap.validator.InvoiceSaveValidator;
import kd.fi.arapcommon.opplugin.BaseDataEnableValidator;
import tpv.fi.tpv_ap_ext.opplugin.validator.BillPriceValidator;

/**
 * @ClassName: InvoiceSaveOp
 * @Description:
 * @date: 2024/1/16 14:53
 * @author: chen
 */
public class InvoiceSaveOp extends kd.fi.ap.opplugin.InvoiceSaveOp {

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        e.addValidator(new BillPriceValidator());
        e.addValidator(new BaseDataEnableValidator());
        e.addValidator(new InvoiceSaveValidator());
    }
}
