package tpv.scmc.im.java.formplugin.form;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.IFormView;
import kd.scmc.im.formplugin.ImBillEditPlugin;

/**
 * @ClassName 解锁币别
 * @Description TODO
 * @Author yhj
 * @Date 2023/8/22 17:50
 * @Version 1.0
 */
public class StorageBillFormPlugin extends ImBillEditPlugin {
    private boolean isMeasureAdjust = false;
    @Override
    protected void setEnable4IsDraw(boolean isDraw) {
        IFormView view = this.getView();
        DynamicObject bizType = (DynamicObject)this.getModel().getValue("biztype");
        boolean isMeasureAdjustBizType = bizType != null && "370".equals(bizType.get("number"));
        if (!this.isMeasureAdjust && !isMeasureAdjustBizType) {
            super.setEnable4IsDraw(isDraw);
            if (isDraw) {
                view.setEnable(Boolean.FALSE, new String[]{"invscheme", "settlecurrency"});
                view.setEnable(Boolean.TRUE, new String[]{"bizdept"});
            }
        } else {
            view.setEnable(Boolean.TRUE, new String[]{"dept", "bizdept", "operator", "operatorgroup", "supplier", "biztime", "comment"});
            view.setEnable(Boolean.FALSE, new String[]{"org", "billtype", "biztype", "invscheme", "billstatus", "settlecurrency", "addrow", "splitrow", "fillbatch", "generatelot", "qinvacc", "snnumber", "entersnnumber", "importsnnumber", "checksnnumber"});
            view.setVisible(Boolean.FALSE, new String[]{"snnumber", "bar_copy"});
        }
        view.setEnable(Boolean.TRUE, new String[]{"settlecurrency"});//解锁币别
    }
}
