package tpv.tmc.lc.java.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;

import java.util.EventObject;

/**
 * @Description: 《收证处理》从国内证进入，是否国际证默认为否
 * @Project: zhck
 * @Package: com.itopview.wm.sc.formplugin.form.MainLandBillPlugin
 * @Date: 2023/11/22 20:02
 * @Author: Heisenberg Wenbei He
 * @Version: 1.0
 */
public class MainLandBillPlugin extends AbstractBillPlugIn {
    private static final String IS_NATIONAL = "isnationalcard"; // 是否国际证

    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
    }

    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        this.getModel().setValue(IS_NATIONAL, false);
    }
}
