package tpv.tpv_wm.tpv_cm.java.opplugin.validator;

import com.itopview.wm.cm.opplugin.op.AltimeterVerificationOp;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.ExtendedDataEntity;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.args.BeforeOperationArgs;
import kd.bos.entity.validate.AbstractValidator;
import kd.bos.exception.KDBizException;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;

import java.math.BigDecimal;
import java.util.EventObject;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;

/**
 * 提交校验规划明细分录
 * @author LiuHB
 * @version 1.0
 */
@Deprecated
public class PlannedValidator extends AbstractOperationServicePlugIn {

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        DynamicObject[] entities = e.getDataEntities();
        e.addValidator(new AbstractValidator() {
            @Override
            public void validate() {
                ExtendedDataEntity[] bills = this.getDataEntities();
                String key = this.getOperateKey();
                for (int i = 0; i < bills.length; i++) {
                    ExtendedDataEntity bill = bills[i];
                    switch (key) {
                        case "submit":
                            DynamicObject[] entities = e.getDataEntities();
                            for (DynamicObject entry : entities) {
                                // 获取单据体
                                DynamicObjectCollection entryEntity = entry.getDynamicObjectCollection("tpv_settlement");
                                for (DynamicObject settlement : entryEntity) {
                                    for (DynamicObject tpvProgramme : settlement.getDynamicObjectCollection("tpv_programme")) {
                                        int indexOf = entryEntity.indexOf(tpvProgramme);
                                        indexOf = indexOf + 1;
                                        String documenttype = tpvProgramme.getString("tpv_documenttype");
                                        String tpvPurchasecontr = tpvProgramme.getString("tpv_purchasecontr");
                                        String tpvContractnu = tpvProgramme.getString("tpv_contractnu");
                                        if (documenttype == null) {
                                            break;
                                        } else if (documenttype.equals("C")) {
                                            if (tpvPurchasecontr == null) {
                                                this.addMessage(bill, "第" + indexOf + "行的规划销售合同号为空");
                                            }
                                        } else if (documenttype.equals("A") || documenttype.equals("B")) {
                                            if (tpvContractnu == null) {
                                                this.addMessage(bill, "第" + indexOf + "行的规划合同号为空");
                                            }
                                        }
                                    }
                                }
                            }
                            break;
                        case "save":
                            DynamicObject[] entitie = e.getDataEntities();
                            BigDecimal tpvAmount = BigDecimal.ZERO;
                            BigDecimal tpvPlannedamt = BigDecimal.ZERO;
                            for (DynamicObject entry : entitie) {

                                // 获取单据体
                                DynamicObjectCollection entryEntitys = entry.getDynamicObjectCollection("tpv_settlement");
                                for (DynamicObject dynamicObject : entryEntitys) {
                                    tpvAmount = BigDecimal.ZERO;
                                    int indexOf = entryEntitys.indexOf(dynamicObject);
                                    indexOf = ++indexOf;
                                    DynamicObjectCollection entryEntity = dynamicObject.getDynamicObjectCollection("tpv_programme");
                                    for (DynamicObject entryEntityd : entryEntity) {

                                        tpvAmount = tpvAmount.add(entryEntityd.getBigDecimal("tpv_amount"));
                                    }
                                    tpvPlannedamt = dynamicObject.getBigDecimal("tpv_plannedamt");
                                    if (tpvAmount.compareTo(tpvPlannedamt) > -1) {
                                        this.addMessage(bill, "结算明细第" + indexOf + "行的规划金额大于待规划金额");
                                    }

                                }
                            }
                            break;
                        case "audit":
                            long entryids = 0L;

                            DynamicObject[] entitied = e.getDataEntities();
                            HashSet<Long> hashSet = new HashSet<>();
                            HashMap<Long, BigDecimal> map = new HashMap<>();
                            for (DynamicObject entitiedynamic : entitied) {

                                String updatePlanBillStatus = AltimeterVerificationOp.updatePlanBillStatus(entitiedynamic,key);
                                if (updatePlanBillStatus != null) {
                                    throw new KDBizException("反写规划金额到高低计单失败，请检查数据");
                                }

                            }

                            break;
                    }
                }
            }
        });
    }
}




