package tpv.tpv_wm.tpv_crm.java.api.entitys;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 项目配供业务-可放货余额明细表 返回对象参数
 * @Author LinRui
 * @Date 2024/2/22 16:27
 */
@ApiModel
public class CusCreditBalanceXMData implements Serializable {
    @ApiParam(value = "公司名称", example = "''")
    private String orgname;
    @ApiParam(value = "部门名称", example = "''")
    private String deptname;
    @ApiParam(value = "项目方", example = "'null'")
    private String customername;
    @ApiParam(value = "项目号", example = "''")
    private String projectabb;
    @ApiParam(value = "发货总金额(发货总金额)", example = "0.00")
    private BigDecimal shippingamt;
    @ApiParam(value = "总计金额(发货总金额)", example = "0.00")
    private BigDecimal totalshipmentsamt;
    @ApiParam(value = "质押货物金额(已收货款)", example = "0.00")
    private BigDecimal collectpledgedamt;
    @ApiParam(value = "总计金额(已收货款)", example = "0.00")
    private BigDecimal totalcollectamt;
    @ApiParam(value = "货款余额", example = "0.00")
    private BigDecimal paymentbalance;
    @ApiParam(value = "赊销额度", example = "0.00")
    private BigDecimal creditlimit;
    @ApiParam(value = "质押货物金额(已收保证金)", example = "0.00")
    private BigDecimal rcvdepositpledged;
    @ApiParam(value = "总计金额(已收保证金)", example = "0.00")
    private BigDecimal totalrcvdeposit;
    @ApiParam(value = "总计余额", example = "0.00")
    private BigDecimal totalbalance;

    public String getOrgname() {
        return orgname;
    }

    public void setOrgname(String orgname) {
        this.orgname = orgname;
    }

    public String getDeptname() {
        return deptname;
    }

    public void setDeptname(String deptname) {
        this.deptname = deptname;
    }

    public String getCustomername() {
        return customername;
    }

    public void setCustomername(String customername) {
        this.customername = customername;
    }

    public String getProjectabb() {
        return projectabb;
    }

    public void setProjectabb(String projectabb) {
        this.projectabb = projectabb;
    }

    public BigDecimal getShippingamt() {
        return shippingamt;
    }

    public void setShippingamt(BigDecimal shippingamt) {
        this.shippingamt = shippingamt;
    }

    public BigDecimal getTotalshipmentsamt() {
        return totalshipmentsamt;
    }

    public void setTotalshipmentsamt(BigDecimal totalshipmentsamt) {
        this.totalshipmentsamt = totalshipmentsamt;
    }

    public BigDecimal getCollectpledgedamt() {
        return collectpledgedamt;
    }

    public void setCollectpledgedamt(BigDecimal collectpledgedamt) {
        this.collectpledgedamt = collectpledgedamt;
    }

    public BigDecimal getTotalcollectamt() {
        return totalcollectamt;
    }

    public void setTotalcollectamt(BigDecimal totalcollectamt) {
        this.totalcollectamt = totalcollectamt;
    }

    public BigDecimal getPaymentbalance() {
        return paymentbalance;
    }

    public void setPaymentbalance(BigDecimal paymentbalance) {
        this.paymentbalance = paymentbalance;
    }

    public BigDecimal getCreditlimit() {
        return creditlimit;
    }

    public void setCreditlimit(BigDecimal creditlimit) {
        this.creditlimit = creditlimit;
    }

    public BigDecimal getRcvdepositpledged() {
        return rcvdepositpledged;
    }

    public void setRcvdepositpledged(BigDecimal rcvdepositpledged) {
        this.rcvdepositpledged = rcvdepositpledged;
    }

    public BigDecimal getTotalrcvdeposit() {
        return totalrcvdeposit;
    }

    public void setTotalrcvdeposit(BigDecimal totalrcvdeposit) {
        this.totalrcvdeposit = totalrcvdeposit;
    }

    public BigDecimal getTotalbalance() {
        return totalbalance;
    }

    public void setTotalbalance(BigDecimal totalbalance) {
        this.totalbalance = totalbalance;
    }
}
