package tpv.tpv_wm.tpv_crm.java.report;

import kd.bos.report.events.CellStyleRule;
import kd.bos.report.plugin.AbstractReportFormPlugin;

import java.util.List;

/**
 * @Description: 供应商额度使用情况表 -表插件
 * @Author LinRui
 * @Date 2023/10/18 10:38
 */
public class SupCreditUseRptFormPlugin extends AbstractReportFormPlugin {
    @Override
    public void setCellStyleRules(List<CellStyleRule> cellStyleRules) {
        CellStyleRule cellStyleRule = new CellStyleRule();
        cellStyleRule.setFieldKey("tpv_credittype");// 字段标识
        cellStyleRule.setForeColor("#666666");// 前景色
        cellStyleRule.setBackgroundColor("#FD6C6A");// 背景色
        cellStyleRule.setDegree(100);// 透明度
        cellStyleRule.setCondition("tpv_credittype = 'A'");//  前置条件，值与表达式计算器一致
        cellStyleRules.add(cellStyleRule);
        super.setCellStyleRules(cellStyleRules);
    }
}
