package tpv.tpv_wm.tpv_dt.java.formplugin.dynamic;

import com.itopview.wm.utils.YEM;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.control.Control;
import kd.bos.form.plugin.AbstractFormPlugin;

import java.math.BigDecimal;
import java.util.EventObject;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 批量录入本次匹配税率%弹框 -动态表单
 * @Author LinRui
 * @Date 2024/7/1 23:58
 */
public class FeesInvoiceRatesinfoEdit extends AbstractFormPlugin {
    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        this.addClickListeners(new String[]{"btnok", "btncancel"});
    }

    /**
     * 点击事件，点击确认回填数据
     */
    @Override
    public void click(EventObject evt) {
        super.click(evt);
        String key = ((Control) evt.getSource()).getKey();
        switch (key) {
            case "btnok":
                DynamicObject dataEntity = this.getModel().getDataEntity(true);
                Map<String, Object> map = new HashMap<>();
                DynamicObject tpvRated = dataEntity.getDynamicObject("tpv_rated");
                BigDecimal taxrate = BigDecimal.ZERO;
                Long tpvRatedId = 0l;
                if (YEM.isNotEmpty(tpvRated)) {
                    tpvRatedId = tpvRated.getLong("id");
                    taxrate = tpvRated.getBigDecimal("taxrate");
                }
                map.put("rated", tpvRatedId);
                map.put("taxrate", taxrate);
                this.getView().returnDataToParent(map);
                this.getView().close();
                break;
        }
    }

}
