package tpv.tpv_wm.tpv_dt.java.formplugin.form;

import com.itopview.wm.utils.YEM;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.FormShowParameter;
import kd.fi.ap.formplugin.InvCollectEdit;

import java.util.EventObject;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName: CostbillmatFpFormPlugin
 * @Description: 费用发票,采购发票弹出发票采集
 * @author: zbh
 * @date: 2023-12-25
 */
public class CostbillmatFpFormPlugin extends InvCollectEdit {

    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        this.getView().setEnable(false,"org");
        this.getView().setEnable(false,"biztype");
        FormShowParameter showParameter = this.getView().getFormShowParameter();
        Map<String, Object> maps = new HashMap<>();
        if (YEM.isNotEmpty(maps)){
            maps = showParameter.getCustomParams();
            DynamicObject tpvCompany = (DynamicObject) maps.get("tpv_company");
            String fp = (String) maps.get("fp");
            if ("fy".equals(fp)){
                this.getModel().setValue("biztype","FEE");
            }else if ("cg".equals(fp)){
                this.getModel().setValue("biztype","PUR");
            }
            this.getModel().setValue("org",tpvCompany);
        }

    }
}
