package tpv.tpv_wm.tpv_dt.java.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.bill.BillShowParameter;
import kd.bos.bill.OperationStatus;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.events.PreOpenFormEventArgs;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;

import java.util.EventObject;

/**
 * @Description: 采购入库单 -表单插件
 * @Author LinRui
 * @Date 2023/12/8 11:23
 */
public class PurInBillReturnFormPlugin extends AbstractBillPlugIn {
    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
    }

    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
    }

    @Override
    public void preOpenForm(PreOpenFormEventArgs e) {
        super.preOpenForm(e);
        //采购入库(退货视图) 赋业务类型,并锁定
        BillShowParameter showParameter = (BillShowParameter) e.getFormShowParameter();
        OperationStatus status = showParameter.getStatus(); //获取单据状态
        String formId = showParameter.getFormId(); //获取单据标识
        //如果打开过往单据直接跳过
        if (OperationStatus.ADDNEW.equals(status)) {
            String select = "billformid,number,mesterid";
            QFilter qFilter = new QFilter("billformid", QCP.equals, "im_purinbill");
            DynamicObject[] load = BusinessDataServiceHelper.load("bos_billtype", select, qFilter.toArray());
            for (DynamicObject dynamicObject : load) {
                String numberLow = dynamicObject.getString("number").toLowerCase();
                if (formId.equals(numberLow)) {
                    String masterid = dynamicObject.getString("masterid");
                    showParameter.setBillTypeId(masterid);
                    break;
                }
            }
        }
    }
}
