package tpv.tpv_wm.tpv_dt.java.formplugin.form;

import kd.bos.bill.BillShowParameter;
import kd.bos.bill.OperationStatus;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.events.PreOpenFormEventArgs;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;


/**
 * @author LiuHB
 * @version 1.0
 * 销售合同布局
 */
public class SalescontractDomFormPlugin extends AbstractListPlugin {
    @Override
    public void preOpenForm(PreOpenFormEventArgs e) {
        String domestictradeid = null;
        String entrance = null;
        String export = null;
        String transit = null;
        BillShowParameter bsp = (BillShowParameter) e.getFormShowParameter();
        OperationStatus status = bsp.getStatus();
        String select = "billformid," + "number," + "mesterid";
        QFilter qFilter = new QFilter("billformid", QCP.equals, "tpv_dt_salescontract");
        DynamicObject[] load = BusinessDataServiceHelper.load("bos_billtype", select, qFilter.toArray());
        for (DynamicObject dynamicObject : load) {
            String number = dynamicObject.getString("number");
            if (number.equals("tpv_dt_salescontract_NMXS")) {
                domestictradeid = dynamicObject.getString("masterid");
            }
            if (number.equals("tpv_dt_salescontract_JKXS")) {
                entrance = dynamicObject.getString("masterid");
            }
            if (number.equals("tpv_dt_salescontract_CKXS")) {
                export = dynamicObject.getString("masterid");
            }
            if (number.equals("tpv_dt_salescontract_ZKXS")) {
                transit = dynamicObject.getString("masterid");
            }
        }
        //如果打开过往单据直接跳过
        if (OperationStatus.ADDNEW.equals(status)) {
            String formId = bsp.getFormId();
            switch (formId) {
                case "tpv_dt_salescontract_dom":
                    bsp.setBillTypeId(domestictradeid);
                    break;
                case "tpv_is_salescontract_dois":
                    bsp.setBillTypeId(entrance);
                    break;
                case "tpv_es_salescontract_foes":
                    bsp.setBillTypeId(export);
                    break;
                case "tpv_et_salescontract_foet":
                    bsp.setBillTypeId(transit);
                    break;
            }
        }
    }
}
