package tpv.tpv_wm.tpv_dt.java.opplugin.op;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import tpv.tpv_wm.tpv_dt.java.opplugin.validator.CostBillmatValidator;

import java.util.List;

/**
 * @author LiuHB
 * @version 1.0
 */
public class CostBillmatOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        List<String> fieldKeys = e.getFieldKeys();
        fieldKeys.add("tpv_invoiceinfoentry");
        fieldKeys.add("tpv_pactmessage");
        fieldKeys.add("tpv_matecost");
        fieldKeys.add("tpv_invoceamtsum");
        fieldKeys.add("tpv_invoceamt");
        fieldKeys.add("tpv_matchamt");
        fieldKeys.add("tpv_taxinclamt");
        fieldKeys.add("tpv_taxnoinclamt");
        fieldKeys.add("tpv_vatamt");
        fieldKeys.add("tpv_withouttaxamount");
        fieldKeys.add("tpv_addtaxamount");
        fieldKeys.add("tpv_costitem");
        fieldKeys.add("tpv_saleconum");
        fieldKeys.add("tpv_inboentid");
        fieldKeys.add("tpv_typecost");
        fieldKeys.add("tpv_invoicetype");
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new CostBillmatValidator());
    }
}
