package tpv.tpv_wm.tpv_dt.java.opplugin.op;

import com.itopview.wm.utils.DateUtil;
import kd.bos.coderule.api.CodeRuleInfo;
import kd.bos.dataentity.entity.CloneUtils;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.args.AfterOperationArgs;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.coderule.CodeRuleServiceHelper;
import kd.bos.servicehelper.operation.DeleteServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;
import tpv.tpv_wm.tpv_cm.java.opplugin.validator.CostprocessingValidator;
import tpv.tpv_wm.tpv_cm.java.utils.CostHelper;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;
import java.util.Map;

import static tpv.tpv_wm.tpv_cm.java.utils.CostHelper.Createcostdispose;

/**
 * @ClassName: CostdisposeAuditOp
 * @Description: 成本处理反向操作触发节点触发操作
 * @author: zbh
 * @date: 2023-12-01
 */
@Deprecated
public class CostdisposeAuditOp extends AbstractOperationServicePlugIn {

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
    }

    @Override
    public void afterExecuteOperationTransaction(AfterOperationArgs e) {
        super.afterExecuteOperationTransaction(e);
        String operationKey = e.getOperationKey();//获取操作名称
        DynamicObject[] dataEntities = e.getDataEntities();
        for (DynamicObject dataEntity : dataEntities) {
            String entityName = dataEntity.getDataEntityType().getName();//获取单据标识
            DynamicObject data = BusinessDataServiceHelper.loadSingle(dataEntity.getPkValue(), entityName);
            switch (operationKey) {
                case "red"://采购发票匹配单红冲
//                    addBill(data,entityName);
//                    Createcostdispose(CostHelper.Traverseoutboundredorblue(dataEntity, entityName));//遍历生成出库（红字）遍历生成出库（蓝字）
//                    Createcostdispose(CostHelper.TraverseSubordinates(dataEntity, entityName));//遍历出库（红字）
                    break;
                case "redpunch"://费用发票匹配单红冲
//                    addBill(data,entityName);
//                    Createcostdispose(CostHelper.FeesTraverseoutboundredorblue(dataEntity,entityName));//遍历生成出库（红字）遍历生成出库（蓝字）
//                    Createcostdispose(CostHelper.FeesTraverseSubordinates(dataEntity,entityName));//遍历出库（红字）
                    break;
                case "unaudit":
//                    triggerOperation(data, entityName);
                    break;
                default:
                    break;
            }
        }
    }

    private void addBill(DynamicObject data, String entityName) {
        CloneUtils cloneUtils = new CloneUtils(true, true);
        DynamicObject newDyn= (DynamicObject) cloneUtils.clone(data);
        if ("tpv_dt_purinvomater".equals(entityName)){//采购发票匹配单
            boolean tpvIshongc = data.getBoolean("tpv_ishongc");
            if (!tpvIshongc) {
                newDyn.set("billno", "CGFPPP-" + DateUtil.formatDate(Calendar.getInstance().getTime(), "yyMMdd-HHmm"));
                String billno = CodeRuleServiceHelper.getNumber(entityName, newDyn, null);
                newDyn.set("billno",billno);
                newDyn.set("tpv_ishongc",true);
                data.set("tpv_ishongc",true);
//            DynamicObjectCollection tpvInvoiceinfoentry = newDyn.getDynamicObjectCollection("tpv_invoiceinfoentry");//发票信息  tpv_curmactchqtys
//            for (int i = 0; i < tpvInvoiceinfoentry.size(); i++) {
//                BigDecimal tpvCurmactchqtys = tpvInvoiceinfoentry.get(i).getBigDecimal("tpv_curmactchqtys");
//                tpvInvoiceinfoentry.get(i).set("tpv_curmactchqtys",tpvCurmactchqtys.multiply(BigDecimal.valueOf(-1)));
//            }
//            DynamicObjectCollection tpvContinformation = newDyn.getDynamicObjectCollection("tpv_continformation");//合同信息  tpv_curmatchqty
//            for (int i = 0; i < tpvContinformation.size(); i++) {
//                BigDecimal tpvCurmactchqtys = tpvContinformation.get(i).getBigDecimal("tpv_curmatchqty");
//                tpvContinformation.get(i).set("tpv_curmatchqty",tpvCurmactchqtys.multiply(BigDecimal.valueOf(-1)));
//            }
                DynamicObjectCollection tpvRkcurmatchqty = newDyn.getDynamicObjectCollection("tpv_wareiformation");//入库信息  tpv_rkcurmatchqty
                for (int i = 0; i < tpvRkcurmatchqty.size(); i++) {
                    BigDecimal tpvCurmactchqtys = tpvRkcurmatchqty.get(i).getBigDecimal("tpv_rkcurmatchqty");
                    tpvRkcurmatchqty.get(i).set("tpv_rkcurmatchqty",tpvCurmactchqtys.multiply(BigDecimal.valueOf(-1)));
                }
            }
        }else if ("tpv_dt_wbillcromater".equals(entityName)){//货票对应单
            boolean tpvIshongc = data.getBoolean("tpv_ishongc");
            if (!tpvIshongc) {
                newDyn.set("billno", "HPDYD-" + DateUtil.formatDate(Calendar.getInstance().getTime(), "yyMMdd-HHmm"));
                CodeRuleInfo codeRule= CodeRuleServiceHelper.getCodeRule(entityName, newDyn, null);
                String billno = CodeRuleServiceHelper.getNumber(codeRule, newDyn);
                newDyn.set("billno",billno);
                newDyn.set("tpv_ishongc",true);
                data.set("tpv_ishongc",true);
//            DynamicObjectCollection tpvDtConmx = newDyn.getDynamicObjectCollection("tpv_dt_conmx");//认领至合同的发票明细  tpv_botulinum
//            for (int i = 0; i < tpvDtConmx.size(); i++) {
//                BigDecimal tpvCurmactchqtys = tpvDtConmx.get(i).getBigDecimal("tpv_bcmtnum");
//                tpvDtConmx.get(i).set("tpv_bcmtnum",tpvCurmactchqtys.multiply(BigDecimal.valueOf(-1)));
//            }
                DynamicObjectCollection tpvDtIncomingenty = newDyn.getDynamicObjectCollection("tpv_dt_incomingenty");//入库信息  tpv_nonnumerical
                for (int i = 0; i < tpvDtIncomingenty.size(); i++) {
                    BigDecimal tpvCurmactchqtys = tpvDtIncomingenty.get(i).getBigDecimal("tpv_bcmonnumrk");
                    tpvDtIncomingenty.get(i).set("tpv_bcmonnumrk",tpvCurmactchqtys.multiply(BigDecimal.valueOf(-1)));
                }
            }
        }else if ("tpv_dt_costbillmat".equals(entityName)){
            boolean tpvIshongc = data.getBoolean("tpv_ishongc");
            if (!tpvIshongc) {
                newDyn.set("billno", "FYFP-" + DateUtil.formatDate(Calendar.getInstance().getTime(), "yyyyMMdd-HHmm"));
                CodeRuleInfo codeRule= CodeRuleServiceHelper.getCodeRule(entityName, newDyn, null);
                String billno = CodeRuleServiceHelper.getNumber(codeRule, newDyn);
                newDyn.set("billno",billno);
                newDyn.set("tpv_ishongc",true);
                data.set("tpv_ishongc",true);
                DynamicObjectCollection tpvRkcurmatchqty = newDyn.getDynamicObjectCollection("tpv_matecost");//入库信息  tpv_rkcurmatchqty
                for (int i = 0; i < tpvRkcurmatchqty.size(); i++) {
                    BigDecimal tpvCurmactchqtys = tpvRkcurmatchqty.get(i).getBigDecimal("tpv_conqty");
                    tpvRkcurmatchqty.get(i).set("tpv_conqty",tpvCurmactchqtys.multiply(BigDecimal.valueOf(-1)));
                }
            }
        }

        SaveServiceHelper.saveOperate(entityName, new DynamicObject[]{newDyn,data});
        String billno = newDyn.getString("billno");
        DynamicObject[] load = BusinessDataServiceHelper.load("tpv_cm_costdispose", "tpv_bluered,tpv_elimination", new QFilter[]{new QFilter("tpv_soudocumnum", "=", billno)});
        for (DynamicObject dynamicObject : load) {
            dynamicObject.set("billno", "CBCL-" + DateUtil.formatDate(Calendar.getInstance().getTime(), "yyMMdd-HHmm"));
            DynamicObject newCostdispose= (DynamicObject) cloneUtils.clone(dynamicObject);
            String tpvBluered = newCostdispose.getString("tpv_bluered");
            if ("A".equals(tpvBluered)){
                newCostdispose.set("tpv_elimination",newCostdispose.get("id"));
            }
            SaveServiceHelper.save(new DynamicObject[]{newCostdispose});
        }
    }

    private void triggerOperation(DynamicObject dataEntity,String entityName) {
        List<String> list = new ArrayList<>();
        Map<String, String> fieldName = CostHelper.entryFieldName(entityName);
        switch (entityName){
            case "im_otherinbill"://其他入库单
            case "im_purinbill"://采购入库单
                deleteTouchBill(dataEntity,fieldName,list, entityName);
                break;
            case"tpv_dt_purinvomater"://采购发票匹配单
            case "tpv_dt_wbillcromater"://货票对应单
            case"tpv_dt_costbillmat"://费用发票匹配单
                deleteTouchBill(dataEntity,fieldName,list,entityName);
                Createcostdispose(CostHelper.Traverseoutboundredorblue(dataEntity, entityName));//遍历生成出库（红字）遍历生成出库（蓝字）
                Createcostdispose(CostHelper.TraverseSubordinates(dataEntity, entityName));//遍历出库（红字）
                break;
            case "im_otheroutbill"://其他出库单
                deleteSourceBill(dataEntity,fieldName,list);
                break;
            case" im_transdirbill "://直接调拨单
                deleteTouchBill(dataEntity,fieldName,list, entityName);
                deleteSourceBill(dataEntity,fieldName,list);
                break;
//            case"tpv_cm_costreplacement"://
//                deleteBill(dataEntity,fieldName,list);
//                break;
        }
    }


    /**
     * @Title: deleteTouchBill
     * @Descriptin: 根据【触发单据ID】删除对应成本明细行
     * @retrn: a
     */
    public void deleteTouchBill(DynamicObject dataEntity, Map<String, String> fieldName, List<String> list, String entityName){
        DynamicObjectCollection billentrys = dataEntity.getDynamicObjectCollection(fieldName.get("entryfield"));
        for (DynamicObject billentry : billentrys) {
            String tpvFidIn =billentry.get("id").toString();//触发单据Id
            list.add(tpvFidIn);
        }
        if ("tpv_dt_costbillmat".equals(entityName)){
            List<String> listNo = new ArrayList<>();
            String billno = dataEntity.getString("billno");
            listNo.add(billno);
            DeleteServiceHelper.delete("tpv_cm_costdispose",new QFilter[]{new QFilter("tpv_tiggdouid", "in", billno)});
        }
        DeleteServiceHelper.delete("tpv_cm_costdispose",new QFilter[]{new QFilter("tpv_tiggdouid", "in", list)});
    }

    /**
     * @Title: deleteSourceBill
     * @Descripton: 根据【来源单据分录id】删除对应成本明细行
     * @reurn: a
     */
    public void deleteSourceBill(DynamicObject dataEntity, Map<String, String> fieldName, List<String> list){
        DynamicObjectCollection billentrys = dataEntity.getDynamicObjectCollection(fieldName.get("entryfield"));
        for (DynamicObject billentry : billentrys) {
            String tpvFidIn =billentry.get("id").toString();//触发单据Id
            list.add(tpvFidIn);
        }
        DeleteServiceHelper.delete("tpv_cm_costdispose",new QFilter[]{new QFilter("tpv_soudocumid", "in", list)});
    }
}
