package tpv.tpv_wm.tpv_dt.java.opplugin.op;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.sdk.plugin.Plugin;
import tpv.tpv_wm.tpv_dt.java.opplugin.validator.PurChaseSubmitValidator;

import java.util.List;

/**
 * @Description: 采购合同提交校验 -根据供应商额度使用表
 * @Author LinRui
 * @Date 2023/10/18 20:49
 */
public class PurChaseSubmitOp extends AbstractOperationServicePlugIn implements Plugin {

    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        List<String> fieldKeys = e.getFieldKeys();
        fieldKeys.add("tpv_supplier");
        fieldKeys.add("tpv_department");
        fieldKeys.add("tpv_amount");
        fieldKeys.add("tpv_useasingleticket");
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new PurChaseSubmitValidator());
    }

}
