package tpv.tpv_wm.tpv_dt.java.task;

import com.itopview.wm.dt.opplugin.op.InterestBearingRenCalOp;
import com.itopview.wm.utils.DynamicObjectUtil;
import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.exception.KDException;
import kd.bos.schedule.executor.AbstractTask;
import kd.bos.servicehelper.BusinessDataServiceHelper;

import java.util.Map;

/**
 * @ClassName: InterestBearingTask
 * @Description: 计息单定时更新计算
 * @author: zbh
 * @date: 2024-05-23
 */
public class InterestBearingTask extends AbstractTask {
    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        String selectStrxs = DynamicObjectUtil.getSelectfields("tpv_interestbearing", false);
        selectStrxs = DynamicObjectUtil.getEntrySelectfields(selectStrxs,"tpv_interestbearing","tpv_ib_receivableentry",false);
        selectStrxs = DynamicObjectUtil.getEntrySelectfields(selectStrxs,"tpv_interestbearing","tpv_ib_receivedentry",false);
        selectStrxs = DynamicObjectUtil.getEntrySelectfields(selectStrxs,"tpv_interestbearing","tpv_ib_detailentry",false);
        DynamicObject[] tpvInterestbearings = BusinessDataServiceHelper.load("tpv_interestbearing", selectStrxs, null);
        for (DynamicObject tpvInterestbearing : tpvInterestbearings) {
            InterestBearingRenCalOp.renewdata(tpvInterestbearing);
        }
    }
}
