package tpv.tpv_wm.tpv_dt.java.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * 农行
 *
 * @author LiuHB
 * @version 1.0
 */
public class AgriculturalCodeConverterUtils {
    private static Map<Integer, String> currencyTypes;

    static {
        currencyTypes = new HashMap<>();
        currencyTypes.put(01, "人民币");
        currencyTypes.put(12, "英镑");
        currencyTypes.put(13, "港元");
        currencyTypes.put(14, "美元");
        currencyTypes.put(15, "瑞士法郎");
        currencyTypes.put(16, "德国马克");
        currencyTypes.put(17, "法国法郎");
        currencyTypes.put(18, "新加坡元");
        currencyTypes.put(20, "荷兰盾");
        currencyTypes.put(21, "瑞典克郎");
        currencyTypes.put(22, "丹麦克郎");
        currencyTypes.put(23, "挪威克郎");
        currencyTypes.put(24, "奥地利先令");
        currencyTypes.put(25, "比利时法郎");
        currencyTypes.put(26, "意大利里拉");
        currencyTypes.put(27, "日元");
        currencyTypes.put(28, "加拿大元");
        currencyTypes.put(29, "澳大利亚元");
        currencyTypes.put(31, "西班牙比塞塔");
        currencyTypes.put(31, "马来西亚林吉特");
        currencyTypes.put(33, "欧洲货币单位");
        currencyTypes.put(38, "欧元");
        currencyTypes.put(42, "芬兰马克");
        currencyTypes.put(81, "澳门元");
        currencyTypes.put(84, "泰国铢");
        currencyTypes.put(87, "新西兰元");
        currencyTypes.put(95, "清算瑞士法郎");
        currencyTypes.put(88, "韩元");
    }

    private static Map<Integer, String> documentTypes;

    static {
        documentTypes.put(110001, "居民身份证");
        documentTypes.put(110003, "临时居民身份证");
        documentTypes.put(110005, "户口簿");
        documentTypes.put(110007, "中国人民解放军军人身份证件");
        documentTypes.put(110009, "中国人民武装警察身份证件");
        documentTypes.put(110031, "警官证");
        documentTypes.put(110019, "港澳居民来往内地通行证");
        documentTypes.put(110021, "台湾居民来往大陆通行证");
        documentTypes.put(110037, "外国人居留证");
        documentTypes.put(119995, "香港居民身份证件");
        documentTypes.put(119996, "澳门居民身份证件");
        documentTypes.put(119997, "台湾同胞身份证件");
        documentTypes.put(110023, "中华人民共和国护照");
        documentTypes.put(110025, "外国护照");
        documentTypes.put(119998, "系统使用的个人证件识别标识");
        documentTypes.put(119999, "其它个人证件识别标识");

    }
}
