package tpv.tpv_wm.tpv_iscb.java.api.fadada.entitys;

import java.io.InputStream;
import java.util.List;

import kd.bos.dataentity.entity.DynamicObject;

/**
 * 【面向系统】 签署任务实体
 * 
 * @author lib
 */
public class ContractSignTask {

	private DynamicObject srcEntity; // 来源单据实体
	private String signFileName;// 签署文件名称
	private String signFileUrl;// 签署文件URl
	private String companyName;// 公司名称
	private String traderName;// 客商名称
	private String traderId;// 客商ID
	private Boolean isFristSign;// 是否我方先签署
	private String fileId;// 签署文件ID
	private String companyNotifyNo;// 公司签署回调流水号
	private String traderNotifyNo;// 客商签署回调流水号
	private String signTaskId;// 签署任务ID
	private String SceneInfo;// 签署场景
	private String signerAccountId;// 对方签署人Id
	private String shortUrl;// 我方签署网址
	private String othershortUrl;// 对方签署网址
	private String appId;// 应用标识
	private String url;// 签署地址
	private String sealstatus;// 用印状态
	private Long printid;// 打印底表id
	private int asynchronousrow;// 打印分录id
	private InputStream inputStream;
	private Boolean isAutoSign;// 是否自动签署
	private Boolean isCompanySign;//是否企业章
	private String sealId;// 印章ID
	private Boolean isKeyWord;// 是否关键字定位
	private String keyWord;// 定位关键字
	private List<locate> locateCoordinates;//签章坐标
	private Boolean isAcrossSign;//是否骑缝章
	private String accessSealId;// 骑缝章ID
	private Integer acrossSealY;// 骑缝章盖章y坐标
	private Integer pageType;// 骑缝章应用页面
	private String customPage;// 骑缝章盖章页数

	public InputStream getInputStream() {
		return inputStream;
	}

	public void setInputStream(InputStream inputStream) {
		this.inputStream = inputStream;
	}

	public List<locate> getLocateCoordinates() {
		return locateCoordinates;
	}

	public void setLocateCoordinates(List<locate> locateCoordinates) {
		this.locateCoordinates = locateCoordinates;
	}

	public Long getPrintid() {
		return printid;
	}

	public void setPrintid(Long printid) {
		this.printid = printid;
	}

	public int getAsynchronousrow() {
		return asynchronousrow;
	}

	public void setAsynchronousrow(int asynchronousrow) {
		this.asynchronousrow = asynchronousrow;
	}

	public String getSealstatus() {
		return sealstatus;
	}

	public void setSealstatus(String sealstatus) {
		this.sealstatus = sealstatus;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public String getOthershortUrl() {
		return othershortUrl;
	}

	public void setOthershortUrl(String othershortUrl) {
		this.othershortUrl = othershortUrl;
	}

	public String getShortUrl() {
		return shortUrl;
	}

	public void setShortUrl(String shortUrl) {
		this.shortUrl = shortUrl;
	}

	public String getSignerAccountId() {
		return signerAccountId;
	}

	public void setSignerAccountId(String signerAccountId) {
		this.signerAccountId = signerAccountId;
	}

	public ContractSignTask() {
		super();
	}

	public String getSceneInfo() {
		return SceneInfo;
	}

	public void setSceneInfo(String sceneInfo) {
		SceneInfo = sceneInfo;
	}

	public String getSignFileUrl() {
		return signFileUrl;
	}

	public void setSignFileUrl(String signFileUrl) {
		this.signFileUrl = signFileUrl;
	}

	public String getSealId() {
		return sealId;
	}

	public void setSealId(String sealId) {
		this.sealId = sealId;
	}

	public String getAccessSealId() {
		return accessSealId;
	}

	public void setAccessSealId(String accessSealId) {
		this.accessSealId = accessSealId;
	}

	public String getKeyWord() {
		return keyWord;
	}

	public void setKeyWord(String keyWord) {
		this.keyWord = keyWord;
	}

	public String getCompanyNotifyNo() {
		return companyNotifyNo;
	}

	public void setCompanyNotifyNo(String companyNotifyNo) {
		this.companyNotifyNo = companyNotifyNo;
	}

	public String getTraderNotifyNo() {
		return traderNotifyNo;
	}

	public void setTraderNotifyNo(String traderNotifyNo) {
		this.traderNotifyNo = traderNotifyNo;
	}

	public String getSignTaskId() {
		return signTaskId;
	}

	public void setSignTaskId(String signTaskId) {
		this.signTaskId = signTaskId;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public DynamicObject getSrcEntity() {
		return srcEntity;
	}

	public void setSrcEntity(DynamicObject srcEntity) {
		this.srcEntity = srcEntity;
	}

	public String getSignFileName() {
		return signFileName;
	}

	public void setSignFileName(String signFileName) {
		this.signFileName = signFileName;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getTraderName() {
		return traderName;
	}

	public void setTraderName(String traderName) {
		this.traderName = traderName;
	}

	public String getTraderId() {
		return traderId;
	}

	public void setTraderId(String traderId) {
		this.traderId = traderId;
	}

	public Boolean getIsAutoSign() {
		return isAutoSign;
	}

	public void setIsAutoSign(Boolean isAutoSign) {
		this.isAutoSign = isAutoSign;
	}

	public Boolean getIsFristSign() {
		return isFristSign;
	}

	public void setIsFristSign(Boolean isFristSign) {
		this.isFristSign = isFristSign;
	}

	public Boolean getIsKeyWord() {
		return isKeyWord;
	}

	public void setIsKeyWord(Boolean isKeyWord) {
		this.isKeyWord = isKeyWord;
	}

	public Boolean getIsCompanySign() {
		return isCompanySign;
	}

	public void setIsCompanySign(Boolean isCompanySign) {
		this.isCompanySign = isCompanySign;
	}

	public Boolean getIsAcrossSign() {
		return isAcrossSign;
	}

	public void setIsAcrossSign(Boolean isAcrossSign) {
		this.isAcrossSign = isAcrossSign;
	}

	public Integer getAcrossSealY() {
		return acrossSealY;
	}

	public void setAcrossSealY(Integer acrossSealY) {
		this.acrossSealY = acrossSealY;
	}

	public Integer getPageType() {
		return pageType;
	}

	public void setPageType(Integer pageType) {
		this.pageType = pageType;
	}

	public String getCustomPage() {
		return customPage;
	}

	public void setCustomPage(String customPage) {
		this.customPage = customPage;
	}

}
