package tpv.tpv_wm.tpv_iscb.java.api.fadada.entitys;

import java.io.Serializable;
import java.util.List;

/**
 *  法大大签署方实体
 *  @author lib
 * */
public class SignParticipant implements Serializable{
	
	
	private static final long serialVersionUID = 1L;
	private String signerName;// 签署人名称
	private String mobile;// 签署人手机号
	private String companyName;// 企业名称
	private String companyId;// 企业标识
	private Integer priority;// 签署顺序
	private Integer isSendNotify = 1; //是否发送签署通知，0：否（默认），1：是
	private Integer signType ; // 签署类型，0：手动签署（默认）；1：系统免验证签；2：手动免验证签。
	private Integer signMode = 0;// 签署方式，0：推送签署任务，1：获取合同签署连接
	private Integer autoSignNotifyType; // 签署通知节点；signType为1和2时发送签署通知，1:签署前后不通知(默认); 2:签署完成通知; 3:签署前通知; 4:签署前后都通知
	private Integer isPosition = 0;// 是否指定签署位置 即 是否自动签,0：否（默认）；1：是
	private String verifyMode = "2";//意愿校验方式,0：短信验证（默认）；1：刷脸验证；2：签署方自行选择；5：互动视频签验证；6：密码验证，
	private String notifyNo;// 签署回调流水号，用于识别具体哪一次签署
	private List<SignDocInfo> docSignInfoDTO; //文件签署信息列表，当需要自动签署时使用，支持根据每个签署人，可针对文档中全部或部分文件进行指定签署位置签署，没有设置的文件则不能签署。
	private Integer isReadFinalPage  = 0;// 是否所有文件需阅读至末页才可提交，0：否 （默认）；1：是
	private Integer readingTime = 0; //阅读多久后才可提交签署，默认为0，可设置秒数范围，1-60秒
	private String signerAccountId;//对方签署人Id

	public String getSignerAccountId() {
		return signerAccountId;
	}

	public void setSignerAccountId(String signerAccountId) {
		this.signerAccountId = signerAccountId;
	}

	public SignParticipant() {
		super();
	}

	public String getSignerName() {
		return signerName;
	}

	public void setSignerName(String signerName) {
		this.signerName = signerName;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public Integer getPriority() {
		return priority;
	}

	public void setPriority(Integer priority) {
		this.priority = priority;
	}

	public Integer getIsSendNotify() {
		return isSendNotify;
	}

	public void setIsSendNotify(Integer isSendNotify) {
		this.isSendNotify = isSendNotify;
	}

	public Integer getSignType() {
		return signType;
	}

	public void setSignType(Integer signType) {
		this.signType = signType;
	}

	public Integer getSignMode() {
		return signMode;
	}

	public void setSignMode(Integer signMode) {
		this.signMode = signMode;
	}

	public Integer getAutoSignNotifyType() {
		return autoSignNotifyType;
	}

	public void setAutoSignNotifyType(Integer autoSignNotifyType) {
		this.autoSignNotifyType = autoSignNotifyType;
	}

	public Integer getIsPosition() {
		return isPosition;
	}

	public void setIsPosition(Integer isPosition) {
		this.isPosition = isPosition;
	}

	public String getVerifyMode() {
		return verifyMode;
	}

	public void setVerifyMode(String verifyMode) {
		this.verifyMode = verifyMode;
	}

	public String getNotifyNo() {
		return notifyNo;
	}

	public void setNotifyNo(String notifyNo) {
		this.notifyNo = notifyNo;
	}

	public List<SignDocInfo> getDocSignInfoDTO() {
		return docSignInfoDTO;
	}

	public void setDocSignInfoDTO(List<SignDocInfo> docSignInfoDTO) {
		this.docSignInfoDTO = docSignInfoDTO;
	}

	public Integer getIsReadFinalPage() {
		return isReadFinalPage;
	}

	public void setIsReadFinalPage(Integer isReadFinalPage) {
		this.isReadFinalPage = isReadFinalPage;
	}

	public Integer getReadingTime() {
		return readingTime;
	}

	public void setReadingTime(Integer readingTime) {
		this.readingTime = readingTime;
	}
	
	
	
}
