package tpv.tpv_wm.tpv_iscb.java.api.sealstewardapi;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Author: Heisenberg Wenbei He
 * @Project: zhck
 * @Package: com.itopview.wm.dt.api.sealStewardApi.SealResponseApiModel
 * @Date: 09:38 2023/10/31
 * @Description: 返回给章管家
 * @Version: 1.0
 */
public class SealStewardResponseApiModel implements Serializable {
    private String errmsg;
    private int errcode;

    public String getErrmsg() {
        return errmsg;
    }

    public void setErrmsg(String errmsg) {
        this.errmsg = errmsg;
    }

    public int getErrcode() {
        return errcode;
    }

    public void setErrcode(int errcode) {
        this.errcode = errcode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        SealStewardResponseApiModel that = (SealStewardResponseApiModel) o;
        return errcode == that.errcode && Objects.equals(errmsg, that.errmsg);
    }

    @Override
    public int hashCode() {
        return Objects.hash(errmsg, errcode);
    }

    @Override
    public String toString() {
        return "SealResponseApiModel{" +
                "errmsg='" + errmsg + '\'' +
                ", errcode=" + errcode +
                '}';
    }
}
