package tpv.tpv_wm.tpv_iscb.java.formplugin.dynamic;

import com.itopview.wm.utils.YEM;
import kd.bos.bill.BillShowParameter;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.metadata.IDataEntityProperty;
import kd.bos.dataentity.metadata.clr.DataEntityPropertyCollection;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.form.FormShowParameter;
import kd.bos.form.IFormView;
import kd.bos.form.control.IFrame;
import kd.bos.form.plugin.AbstractFormPlugin;

import java.util.EventObject;
import java.util.HashMap;
import java.util.Map;

/**
 * @ClassName 法大大内嵌页面
 * @Description TODO
 * @Author yhj
 * @Date 2023/11/14 20:46
 * @Version 1.0
 */
public class EmbeddedEdit extends AbstractFormPlugin {
    /**
     * @return
     * @description 打开初始化
     * @author yhj
     * @date 2023/11/19 23:56
     * @param    null
     */
    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        IFormView parentView = this.getView().getParentView();
        IDataModel parentModel = parentView.getModel();
        IDataModel model = this.getModel();
        DataEntityPropertyCollection properties = model.getDataEntityType().getProperties();
        FormShowParameter showParameter =  this.getView().getFormShowParameter();
        Map<String, Object> maps = new HashMap<>();
        maps = showParameter.getCustomParams();//获取map表
        String url = (String) maps.get("url");
        if (YEM.isNotEmpty(url)) {
            IFrame iframe = this.getView().getControl("tpv_iframeap");
            // 设置url，苍穹开发者门户
            String urls = url;
            iframe.setSrc(urls);
        }else {
            this.getView().showMessage("URl为空");
        }
    }
}
