package tpv.tpv_wm.tpv_iscb.java.formplugin.dynamic;

import java.util.*;

import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.servicehelper.user.UserServiceHelper;
import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.itopview.wm.utils.DynamicObjectUtil;
import com.itopview.wm.utils.YEM;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.form.FormShowParameter;
import kd.bos.form.IFormView;
import kd.bos.form.control.Control;
import kd.bos.form.control.Label;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.bos.openapi.common.result.CustomApiResult;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.coderule.CodeRuleServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;
import tpv.tpv_wm.tpv_iscb.java.api.fadada.ContractSignUtil;
import tpv.tpv_wm.tpv_iscb.java.api.fadada.entitys.ContractSignTask;
import tpv.tpv_wm.tpv_iscb.java.formplugin.form.FddAndZgjFunctionFormPlugin;


/**
 * @ClassName 用印密码校验，跳转法大大
 * @Description TODO
 * @Author yhj
 * @Date 2023/10/16 17:16
 * @Version 1.0
 */
public class EnterPasswordEdit extends AbstractFormPlugin {
    /**
     * @param null
     * @return
     * @description 监听按钮
     * @author yhj
     * @date 2023/11/17 14:42
     */
    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        // 侦听文本字段按钮点击事件
        this.addClickListeners("btnok", "btncancel");
    }

    /**
     * @param null
     * @return
     * @description 点击按钮
     * @author yhj
     * @date 2023/11/19 23:55
     */
    @Override
    public void click(EventObject evt) {
        super.click(evt);
        Long number = 1L;
        IDataModel model = this.getModel();
        long next = 0L;
        long nexts = 5L;
        IFormView view = this.getView();
        IFormView parentView = view.getParentView(); //父视图
        Label label = view.getControl("tpv_labelap");
        IDataModel parentModel = parentView.getModel(); //父模型
        String billno = (String) parentModel.getValue("billno");//单据号
        Control source = (Control) evt.getSource();
        String attachmentcon = (String) parentModel.getValue("tpv_attachmentcon_tag");//附件表格内容
        Map<String, Object> maps = new HashMap<>();
        FormShowParameter showParameters = view.getFormShowParameter();
        maps = showParameters.getCustomParams();//获取map表
        Long id = (Long) maps.get("id");//用户
        String attachmentName = (String) maps.get("attachmentName");//附件名称
        String orgName = (String) maps.get("orgName");//公司名称
        String customerName = (String) maps.get("customerName");//客商名称
        String tpvSignatorymailbox = (String) maps.get("tpvSignatorymailbox");//签署人id
        String tpvFddcompanyid = (String) maps.get("tpvFddcompanyid");//企业id
        String sealstatus = (String) maps.get("sealstatus");//用印状态
        DynamicObject dataEntity = parentModel.getDataEntity(true);
        String fddId = (String) maps.get("fddId");//id
        String sceneInfo = (String) maps.get("sceneInfo");//场景
        String signUrl = "";
        String url = "";
        String docld = "";
        String tpvSignatorymailboxs = "";
        String fddIds = "";
        String tpvFddcompanyids = "";
        Long selectstamp = 0L;
        JSONObject json = JSONObject.parseObject(attachmentcon);
        if (json != null) {
            Set<String> strings = json.keySet();
            if (strings.size() > 0 && null != strings) {
                for (String names : strings) {
                    if (json != null) {
                        JSONObject tpv_sourcebillkey = json.getJSONObject(names);
                        String attachmentnames = tpv_sourcebillkey.getString("attacNameTwo");
                        if (tpv_sourcebillkey != null) {
                            if (names.equals(attachmentName)) {
                                docld = (String) tpv_sourcebillkey.get("docId");// 附件名称
                                JSONObject tpvSeal = json.getJSONObject(attachmentnames);//预审件里原件名称
                                if (tpvSeal != null) {
                                    JSONObject seal = (JSONObject) tpvSeal.get("seal");// 印章id
                                    if (seal != null) {
                                        tpvSignatorymailboxs = (String) seal.get("tpvSignatorymailbox");// 对方签署人id
                                        fddIds = (String) seal.get("selectstampfddid");// 法大大印章id
                                        tpvFddcompanyids = (String) seal.get("tpvFddcompanyid");// 签署人id
                                        selectstamp = seal.getLong("selectstamp");
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
        if (StringUtils.equals("btnok", source.getKey())) { //确定
            Long tpvStaff = 0L;
            List<Long> enableSealIds = new ArrayList<>();
            ContractSignUtil contractSignUtil = new ContractSignUtil();
            HashMap<String, Object> value = new HashMap<>();
            DynamicObject activeuser = (DynamicObject) model.getValue("tpv_activeuser");//用户
            String enterpassword = (String) model.getValue("tpv_enterpassword");
            QFilter[] qFilters = new QFilter[]{new QFilter("tpv_staff", QCP.equals, activeuser.getPkValue())};
            String selectfieldsFasts = DynamicObjectUtil.getSelectfieldsFast("tpv_iscb_sealmanager", "tpv_iscb_sealmana_yz");
            DynamicObject queryStams = BusinessDataServiceHelper.loadSingle("tpv_iscb_sealmanager", selectfieldsFasts, qFilters);//印章管理
            QFilter[] qFilter = new QFilter[]{new QFilter("tpv_amcipher", QCP.equals, this.getModel().getValue("tpv_enterpassword"))};
            String selectfieldsFast = DynamicObjectUtil.getSelectfieldsFast("tpv_iscb_sealmanager", "tpv_iscb_sealmana_yz");
            DynamicObject queryStam = BusinessDataServiceHelper.loadSingle("tpv_iscb_sealmanager", selectfieldsFast, qFilter);//印章管理
            DynamicObject data = BusinessDataServiceHelper.newDynamicObject("tpv_iscb_cryptooperation");
            if (queryStam != null) {
                DynamicObjectCollection tpvEntryentity = queryStam.getDynamicObjectCollection("tpv_iscb_sealmana_yz");
                for (DynamicObject obs : tpvEntryentity) {
                    DynamicObject tpvSeal = obs.getDynamicObject("tpv_seal");
                    if (tpvSeal != null) {
                        enableSealIds.add(tpvSeal.getLong("id"));
                    }
                }
                if (isHasRight(view, queryStam, selectstamp, enableSealIds)) {
                    tpvStaff = (Long) queryStam.getDynamicObject("tpv_staff").getPkValue();
                    data.set("tpv_correct", true);//正确

                    //跳转法大大
                    ContractSignTask contractSignTask = new ContractSignTask();
                    if ("".equals(sceneInfo) || sceneInfo != null) {
                        if ("B".equals(sceneInfo)) { //本方线上单签
                            contractSignTask.setSignFileName(attachmentName);
                            contractSignTask.setSrcEntity(dataEntity);
                            contractSignTask.setCompanyName(orgName);
                            contractSignTask.setIsAutoSign(false);
                            contractSignTask.setSealId(fddIds);
                            contractSignTask.setSceneInfo(sceneInfo);
                            contractSignTask.setSealstatus(sealstatus);
                            if (YEM.isEmpty(docld)) {
                                CustomApiResult<Map<String, String>> mapCustomApiResult = contractSignUtil.creatSignTask(contractSignTask);
                                if (mapCustomApiResult.isStatus()) {
                                    Map<String, String> information = mapCustomApiResult.getData();
                                    signUrl = information.get("signUrl");
                                    url = information.get("url");
                                    String docId = information.get("docId");
                                    String signUrlList = information.get("signUrlList");
                                    JSONArray signUrlLists = new JSONArray(Collections.singletonList(signUrlList));
                                    value.put("docId", docId);
                                    value.put("signUrlList", signUrlLists);
                                } else {
                                    view.showMessage(mapCustomApiResult.getMessage());
                                }
                            } else {
                                // 查询签署任务信息
                                String selectfields = DynamicObjectUtil.getSelectfields("tpv_iscb_signtaskinfo");
                                DynamicObject signInfo = BusinessDataServiceHelper.loadSingle("tpv_iscb_signtaskinfo", selectfields,
                                        new QFilter("tpv_signtaskid", QCP.equals, docld).toArray());
                                if (signInfo != null) {
                                    url = signInfo.getString("tpv_url");
                                } else {
                                    view.showMessage("未查询到签署任务记录，docId：" + docld);
                                }
                            }
                        }
                        if ("D".equals(sceneInfo)) { //双方线上签署-我方先
                            contractSignTask.setSignFileName(attachmentName);
                            contractSignTask.setSrcEntity(dataEntity);
                            contractSignTask.setCompanyName(orgName);
                            contractSignTask.setTraderName(customerName);
                            contractSignTask.setTraderId(tpvFddcompanyids);
                            contractSignTask.setIsAutoSign(false);
                            contractSignTask.setSignerAccountId(tpvSignatorymailboxs);
                            contractSignTask.setIsFristSign(true);
                            contractSignTask.setSealId(fddIds);
                            contractSignTask.setSceneInfo(sceneInfo);
                            contractSignTask.setSealstatus(sealstatus);
                            if (YEM.isEmpty(docld)) {
                                CustomApiResult<Map<String, String>> mapCustomApiResult = contractSignUtil.creatSignTask(contractSignTask);
                                if (mapCustomApiResult.isStatus()) {
                                    Map<String, String> information = mapCustomApiResult.getData();
                                    signUrl = information.get("signUrl");
                                    url = information.get("url");
                                    String docId = information.get("docId");
                                    String signUrlList = information.get("signUrlList");
                                    JSONArray signUrlLists = new JSONArray(Collections.singletonList(signUrlList));
                                    value.put("docId", docId);
                                    value.put("signUrlList", signUrlLists);
                                } else {
                                    view.showMessage(mapCustomApiResult.getMessage());
                                }
                            } else {
                                // 查询签署任务信息
                                String selectfields = DynamicObjectUtil.getSelectfields("tpv_iscb_signtaskinfo");
                                DynamicObject signInfo = BusinessDataServiceHelper.loadSingle("tpv_iscb_signtaskinfo", selectfields,
                                        new QFilter("tpv_signtaskid", QCP.equals, docld).toArray());
                                if (signInfo != null) {
                                    url = signInfo.getString("tpv_url");
                                } else {
                                    view.showMessage("未查询到签署任务记录，docId：" + docld);
                                }
                            }
                        }
                        if ("E".equals(sceneInfo)) { //双方线上签署-对方先
                            contractSignTask.setSignFileName(attachmentName);
                            contractSignTask.setSrcEntity(dataEntity);
                            contractSignTask.setCompanyName(orgName);
                            contractSignTask.setTraderName(customerName);
                            contractSignTask.setTraderId(tpvFddcompanyids);
                            contractSignTask.setIsAutoSign(false);
                            contractSignTask.setSignerAccountId(tpvSignatorymailboxs);
                            contractSignTask.setIsFristSign(false);
                            contractSignTask.setSealId(fddIds);
                            contractSignTask.setSceneInfo(sceneInfo);
                            contractSignTask.setSealstatus(sealstatus);
                            CustomApiResult<Map<String, String>> signLinkApiResult = contractSignUtil.signLinkTask(docld, sealstatus, contractSignTask);
                            if (signLinkApiResult.isStatus()) {
                                Map<String, String> signdata = signLinkApiResult.getData();
                                url = signdata.get("url");
                            } else {
                                view.showMessage(signLinkApiResult.getMessage());
                            }
                        }
                    }
                    Map<String, Object> map = new HashMap<>();
                    map.put("signUrl", signUrl);
                    map.put("url", url);
                    FddAndZgjFunctionFormPlugin function = new FddAndZgjFunctionFormPlugin();
                    function.extracted(parentModel, parentView, attachmentName, value);
                    // 存入获取到的动态表单数据
                    view.returnDataToParent(map);//将数据传给父页面
                    view.close();
                }
            } else {
                //next = queryStams.getLong("tpv_passwordprints");//修改错误次数bug
                data.set("tpv_correct", false);//失败

                next = next + number;
                queryStams.set("tpv_passwordprints", next);
                if (new Long(nexts - next) < 0) {
                    label.setText("密码错误次数达到上限");
                    view.showMessage("当前用户今日密码错误超过5次，已锁定，请联系管理员。");
                } else {
                    label.setText(" 密码错误!剩余" + new Long(nexts - next) + "次");
                }
                SaveServiceHelper.update(queryStams);
            }
            JSONObject object = JSONObject.parseObject(attachmentcon);
            if (object != null) {
                Set<String> strings = object.keySet();
                if (strings.size() > 0 && null != strings) {
                    for (String key : strings) {
                        if (object != null) {
                            JSONObject tpv_sourcebillkey = object.getJSONObject(key);
                            if (tpv_sourcebillkey != null) {
                                String names = (String) tpv_sourcebillkey.get("name");
                                data.set("tpv_attachmentnames", names);//附件名称
                            }
                        }
                    }
                }
            }
            data.set("tpv_documentnumber", billno);//单据号
            data.set("tpv_corresponperson", tpvStaff);//正确密码对应人
            data.set("tpv_currentoperator", activeuser.getPkValue());//当前操作人
            data.set("tpv_operationdate", new Date());//操作日期
            SaveServiceHelper.save(new DynamicObject[]{data});
        } else if (StringUtils.equals(source.getKey(), "btncancel")) {
            view.returnDataToParent(null);
            view.close();
        }
    }

    private boolean isHasRight(IFormView view, DynamicObject queryYZ, Long sealIdSrc, List<Long> enableSealIds) {
        if (queryYZ != null) {
            if (enableSealIds.contains(sealIdSrc)) {
                return true;
            } else {
                view.showMessage("当前登录人对于本附件申请的印章没有管理权");
            }
        } else {
            view.showMessage("当前登录人不是印章管理员");
        }
        return false;
    }
}
