package tpv.tpv_wm.tpv_sc.java.api.entitys;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;

/**
 * @Description: 资金占用实时查询表 实体类entity
 * @Author LinRui
 * @Date 2023/10/21 21:07
 */
@ApiModel
public class FundsUsedTimeModel implements Serializable {
    @ApiParam(value = "公司名称", required = false, example = "'中航国际矿产资源有限公司'")
    private String orgname;
    @ApiParam(value = "日期 (格式yyyy-MM-dd)", required = true, example = "'2024-02-04'")
    private String dateStr;
    @ApiParam(value = "部门名称", required = false, example = "'管理班子'")
    private String deptname;

    /**
     * @Description: 公司名称
     **/
    public String getOrgname() {
        return orgname;
    }

    public void setOrgname(String orgname) {
        this.orgname = orgname;
    }
    /**
     * @Description: 部门名称
     **/
    public String getDateStr() {
        return dateStr;
    }

    public void setDateStr(String dateStr) {
        this.dateStr = dateStr;
    }
    /**
     * @Description: 日期 (格式yyyy-MM-dd)
     **/
    public String getDeptname() {
        return deptname;
    }

    public void setDeptname(String deptname) {
        this.deptname = deptname;
    }
}
