package tpv.tpv_wm.tpv_sc.java.opplugin.op;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import tpv.tpv_wm.tpv_sc.java.opplugin.validator.FundsUsedInfoUnAuditValidator;

import java.util.List;

/**
 * @Description: 资金占用明细（财务） -反审核校验
 * @Author LinRui
 * @Date 2024/3/8 19:17
 */
public class FundsUsedsUnAuditOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        List<String> keys = e.getFieldKeys();
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new FundsUsedInfoUnAuditValidator());
    }
}
