package tpv.tpv_wm.tpv_sys.java.api.entitys;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;

/**
 * 易氩接口实体类
 * 文本PDF→图片PDF接口
 *
 * @author LiuHB
 * @version 1.0
 */
@ApiModel
public class ImagePdfModel implements Serializable {

    @ApiParam(value = "txtpdf的文件名")
    private String pdfFileName;
    @ApiParam(value = "txtpdf的Base64")
    private String pdfBase64;

    public String getPdfFileName() {
        return pdfFileName;
    }

    public void setPdfFileName(String pdfFileName) {
        this.pdfFileName = pdfFileName;
    }

    public String getPdfBase64() {
        return pdfBase64;
    }

    public void setPdfBase64(String pdfBase64) {
        this.pdfBase64 = pdfBase64;
    }

    @Override
    public String toString() {
        return "ImagePdfModel{" +
                "pdfFileName='" + pdfFileName + '\'' +
                ", pdfBase64='" + pdfBase64 + '\'' +
                '}';
    }
}
