package com.itopview.wm.cm.customplugin;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 接口类
 */
public interface YemInterface {
    /**
     * 返回值为数值型
     * @param map 参数
     * @return
     */
    BigDecimal getBigDecimal(Map map);

    /**
     * 返回值为布尔型
     * @param map 参数
     * @return
     */
    boolean getBoolean(Map map);

    /**
     * 返回值为字符串型
     * @param map 参数
     * @return
     */
    String getString(Map map);

    /**
     * 返回值为日期型
     * @param map
     * @return
     */
    Date getDate(Map map);

    /**
     * 返回值为long型
     * @param map
     * @return
     */
    long getLong(Map map);

    /**
     * 返回值为Map型
     * @param map 参数
     * @return
     */
    Map getMap(Map map);

    /**
     * 返回值为List型
     * @param map 参数
     * @return
     */
    List getList(Map map);
}
