package com.itopview.wm.cm.formplugin.list;

import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.ListShowParameter;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

/**
 * 计息单列表插件
 */
public class InterestBearingList extends AbstractListPlugin implements Plugin {

    @Override
    public void setFilter(SetFilterEvent e) {
        super.setFilter(e);
        ListShowParameter parameter = (ListShowParameter) this.getView().getFormShowParameter();
        String billFormId = parameter.getBillFormId();
        if("tpv_interestbearing_pur".equals(billFormId)){
            e.addCustomQFilter(new QFilter("tpv_billtype.number", QCP.equals,"tpv_interestbearing_pur"));
        }
        if("tpv_interestbearing_sale".equals(billFormId)){
            e.addCustomQFilter(new QFilter("tpv_billtype.number", QCP.equals,"tpv_interestbearing_sale"));
        }
    }
}