package com.itopview.wm.cm.formplugin.list;

import kd.bos.bill.BillShowParameter;
import kd.bos.bill.OperationStatus;
import kd.bos.entity.datamodel.IDataModel;
import kd.bos.form.events.SetFilterEvent;
import kd.bos.list.ListShowParameter;
import kd.bos.list.events.BeforeShowBillFormEvent;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.sdk.plugin.Plugin;

import java.util.EventObject;

/**
 * @Description 特殊合同_加工视图 列表过滤单据类型为加工协议的数据
 * @Author LinRui
 * Date 2023/8/15 21:27
 **/
public class SpecialContractJGList extends AbstractListPlugin  implements Plugin {
    @Override
    public void setFilter(SetFilterEvent e) {
        super.setFilter(e);
        ListShowParameter parameter = (ListShowParameter) this.getView().getFormShowParameter();
        if(null != parameter) {
            String formId = parameter.getBillFormId();  //获取表单的标识
            if(null != formId && !"".equals(formId)) {
                    QFilter filter = new QFilter("tpv_contracttype", QCP.equals, "X");
                    e.getQFilters().add(filter);
            }
        }
    }

}
