package com.itopview.wm.cm.opplugin.op;

import java.util.List;

import com.itopview.wm.cm.opplugin.validator.ContractTermsSubmitValidator;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
/**
 * 合同条款库(提交校验)
 * @author zhangh
 *
 */
public class ContractTermsSubmitOp extends AbstractOperationServicePlugIn {
	@Override
	public void onPreparePropertys(PreparePropertysEventArgs e) {
		List<String> fieldKeys = e.getFieldKeys();
		fieldKeys.add("tpv_clausecontentchina");
		fieldKeys.add("tpv_clausecontentenglish");
		fieldKeys.add("tpv_foreigntrade");
	}
	
	@Override
	public void onAddValidators(AddValidatorsEventArgs e) {
		e.addValidator(new ContractTermsSubmitValidator());
	}
}
