package com.itopview.wm.sys.api.yargonpdfapi.model;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;
import java.util.Arrays;

/**
 * 添加用户接口
 * @author LiuHB
 * @version 1.0
 */
@ApiModel
public class AddUserModel implements Serializable {
    @ApiParam(value = "用户编码",required = true)
    private String userCode;
    @ApiParam(value = "部门编码",required = true)
    private String[] groupCode;
    @ApiParam(value = "登录名",required = true)
    private String name;
    @ApiParam(value = "密码",required = true)
    private String password;
    @ApiParam(value = "角色",required = true)
    private String role;
    @ApiParam(value = "手机号",required = true)
    private String mobile;
    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String[] getGroupCode() {
        return groupCode;
    }

    public void setGroupCode(String[] groupCode) {
        this.groupCode = groupCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getRole() {
        return role;
    }

    public void setRole(String role) {
        this.role = role;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Override
    public String toString() {
        return "AddUserModel{" +
                "userCode='" + userCode + '\'' +
                ", groupCode=" + Arrays.toString(groupCode) +
                ", name='" + name + '\'' +
                ", password='" + password + '\'' +
                ", role='" + role + '\'' +
                ", mobile='" + mobile + '\'' +
                '}';
    }
}
