package com.itopview.wm.sys.formplugin.dynamic;

import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.scm.src.formplugin.edit.SrcPurListComptpEdit;
import kd.sdk.plugin.Plugin;

import java.util.Objects;

/**
 * 扩展物料报价单表单插件  kd.scm.src.formplugin.edit.SrcPurListComptpEdit
 * 修复除自带子单据体外的子单据体，值更新会丢失焦点的问题
 */
public class ExtSrcPurListComptpEdit extends SrcPurListComptpEdit implements Plugin {

    @Override
    public void propertyChanged(PropertyChangedArgs e) {
        if (!Objects.equals(e.getProperty().getParent().getName(), "subentryentity")
                && !Objects.equals(e.getProperty().getParent().getName(), "kdtest_subentryentity")) {
            super.propertyChanged(e);
        }
    }

}