package com.itopview.wm.sys.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.FormShowParameter;
import kd.bos.form.control.Control;
import org.apache.commons.lang3.StringUtils;
import java.util.EventObject;
import java.util.HashMap;
import java.util.Map;

import static com.itopview.wm.sys.utils.PrintHelper.getAttachDateil;


/**
 *异步任务底表
 * @author LiuHB
 * @version 1.0
 */
public class AsynchrBillPlugin extends AbstractBillPlugIn {
    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        this.addClickListeners("tpv_strike");//手动触发
    }

    /**
     * 手动触发，手动完成按钮点击
     * @param evt
     */
    @Override
    public void click(EventObject evt) {
        super.click(evt);
        // 获取被点击的控件对象
        Control source = (Control) evt.getSource();
        long ID = 0;
        String entityId ="";
        long pkId=0;
        String filePath="";
        String pdfFileName="";
        String tplId="";
        String billon="";
        String creator="";
        String department="";
        String org="";
        //手动触发按钮点击
        if (StringUtils.equals("tpv_strike",source.getKey())){
            DynamicObject dataEntity = this.getModel().getDataEntity(true);
            ID = dataEntity.getLong("id");
            entityId = dataEntity.getString("tpv_bills");
            pkId = dataEntity.getLong("tpv_billsid");
            filePath = dataEntity.getString("tpv_filepath");
            pdfFileName = dataEntity.getString("tpv_pdffilename");
            tplId = dataEntity.getString("tpv_tplid");
            billon=dataEntity.getString("tpv_lybillon");
            creator=dataEntity.getString("tpv_creators");
            department=dataEntity.getString("tpv_departments");
            org=dataEntity.getString("tpv_lyorg");
            if(ID!=0&&!entityId.isEmpty()&&pkId!=0&&!filePath.isEmpty()&&!pdfFileName.isEmpty()&&!tplId.isEmpty()) {
                try {
                    getAttachDateil(this.getView(), pkId, ID, filePath, pdfFileName, entityId, tplId, billon, creator, department, org);
                } catch (Exception ex) {
                    throw new RuntimeException(ex);
                }
            }
        }
    }
}
