package com.itopview.wm.sys.task;

import com.itopview.wm.utils.DynamicObjectUtil;
import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.exception.KDException;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.schedule.executor.AbstractTask;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;

import java.util.Map;

/**
 * @ClassName ClearTimeTask
 * @Description TODO
 * @Author yhj
 * @Date 2023/10/24 14:28
 * @Version 1.0
 */
public class ClearTimeTask extends AbstractTask {
    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        //QFilter[] qFilter = new QFilter[]{new QFilter("billstatus", QCP.equals, "C"), new QFilter("billno", QCP.equals, this.getModel().getValue("tpv_transfernumber"))};
        String selectfieldsFast = DynamicObjectUtil.getSelectfieldsFast("tpv_iscb_sealmanager");
        DynamicObject[] queryYZ = BusinessDataServiceHelper.load("tpv_iscb_sealmanager", selectfieldsFast, null);//印章管理员
        for (DynamicObject obj : queryYZ) {
            obj.set("tpv_passwordprints", 0);
            SaveServiceHelper.save(new DynamicObject[] {obj});//保存
        }

    }
}
