package com.itopview.wm.sys.task;

import com.itopview.wm.utils.DynamicObjectUtil;
import kd.bos.context.RequestContext;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.exception.KDException;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.schedule.executor.AbstractTask;
import kd.bos.servicehelper.BusinessDataServiceHelper;

import java.util.Date;
import java.util.Map;

import static com.itopview.wm.sys.utils.PrintHelper.getAttachDateil;


/**
 * 定时任务
 * @author LiuHB
 * @version 1.0
 */
public class Timedtask extends AbstractTask {
    @Override
    public void execute(RequestContext requestContext, Map<String, Object> map) throws KDException {
        long ID = 0;
        String entityId ="";
        long pkId=0;
        String filePath="";
        String pdfFileName="";
        String tplId="";
        String billon="";
        String creator="";
        String department="";
        String org="";
        String selectStrxs = DynamicObjectUtil.getSelectfields("tpv_iscb_asynchronous", false);
        selectStrxs = DynamicObjectUtil.getEntrySelectfields(selectStrxs,"tpv_iscb_asynchronous","tpv_iscb_asynchr_cl",false);
        DynamicObject[] load = BusinessDataServiceHelper.load
                ("tpv_iscb_asynchronous", selectStrxs,
                        new QFilter[]{new QFilter("tpv_cometoanend", QCP.equals, false)});
        for (DynamicObject dynamicObject : load) {
            ID = dynamicObject.getLong("id");
            entityId = dynamicObject.getString("tpv_bills");
            pkId = dynamicObject.getLong("tpv_billsid");
            filePath = dynamicObject.getString("tpv_filepath");
            pdfFileName = dynamicObject.getString("tpv_pdffilename");
            tplId = dynamicObject.getString("tpv_tplid");
            billon=dynamicObject.getString("tpv_lybillon");
            creator=dynamicObject.getString("tpv_creators");
            department=dynamicObject.getString("tpv_departments");
            org=dynamicObject.getString("tpv_lyorg");
            Date tpv_time = dynamicObject.getDate("tpv_time");

            Date date=new Date();
            Long diff = date.getTime() - tpv_time.getTime();
            int ss = (int) (diff / 60000);
            if (ss > 10) {
            dynamicObject.set("tpv_cometoanend",true);
            }else{
            if(ID!=0&&!entityId.isEmpty()&&pkId!=0&&!filePath.isEmpty()&&!pdfFileName.isEmpty()&&!tplId.isEmpty()) {
                try {
                    getAttachDateil(null, pkId, ID, filePath, pdfFileName, entityId, tplId, billon, creator, department, org);
                } catch (Exception ex) {
                    throw new RuntimeException(ex);
                }
            }
            }
        }

    }
}
