package tpv.sys.sbd.java.opplugin.op;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import tpv.sys.sbd.java.opplugin.validator.WarehouseTpvSubmitValidator;

import java.util.List;

/**
 * @Description: 仓库 -提交校验
 * @Author LinRui
 * @Date 2024/3/4 15:39
 */
public class WarehouseTpvSubmitOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        List<String> fieldKeys = e.getFieldKeys();
        fieldKeys.add("tpv_sendmode");  //分录标识
        fieldKeys.add("tpv_sendingpath");  //发送途径
        fieldKeys.add("tpv_fax");  //传真号
        fieldKeys.add("tpv_eaddress");  //邮箱地址
    }

    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new WarehouseTpvSubmitValidator());
    }
}
