package tpv.tmc.lc.java.opplugin.op;

import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.PreparePropertysEventArgs;
import kd.bos.entity.plugin.args.AfterOperationArgs;
import tpv.tmc.lc.java.utils.CreditLimitHelper;

import java.util.List;

/**
 *@Description: 开证申请  删除后 ，更新对应 额度预约单状态
 *@Project: zhck
 *@Package: tpv.tmc.lc.java.opplugin.op.CreditLimitUpdateDeleteOp
 *@Date: 2024/04/18 16:11
 *@Author: Heisenberg Wenbei He
 *@Version: 1.0
 */
public class CreditLimitUpdateDeleteOp extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        List<String> fieldKeys = e.getFieldKeys();
        fieldKeys.add("tpv_quotaforms");
    }

    @Override
    public void afterExecuteOperationTransaction(AfterOperationArgs e) {
        super.afterExecuteOperationTransaction(e);
        switch (e.getOperationKey()) {
            case "delete":
                CreditLimitHelper.updateCreditLimit(e, false);
                break;
            default:
                break;
        }
    }
}
