package tpv.tpv_wm.tpv_cm.java.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.bill.OperationStatus;
import kd.bos.entity.datamodel.IDataModel;

import java.util.EventObject;

/**
 * @Description 特殊合同_租船订舱合同视图（加工协议）  打开单据类型默认为租船订舱合同
 * @Author LinRui
 * Date 2023/8/15 20:51
 **/
public class SpecialContractZCFormPlugin extends AbstractBillPlugIn {

    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
        IDataModel model = this.getModel();
        OperationStatus status = this.getView().getFormShowParameter().getStatus();
        if (OperationStatus.ADDNEW == status) {
            this.getModel().setValue("tpv_contracttype", "A"); //加工协议类型为 租船订舱合同
            //this.getView().setEnable(false,"单据体标识","字段标识");  //锁定分录字段
            this.getView().setEnable(false, "tpv_contracttype");  //锁定字段
        }
    }

}
