package tpv.tpv_wm.tpv_cm.java.report;

import kd.bos.report.events.SortAndFilterEvent;
import kd.bos.report.plugin.AbstractReportFormPlugin;
import kd.sdk.plugin.Plugin;

import java.util.List;

/**
 * @Description: 成本处理可红冲数量查询表 -表单插件
 * @Author LinRui
 * @Date 2024/6/6 21:49
 */
public class CostDisposeredRedRptFormPlugin extends AbstractReportFormPlugin implements Plugin {
    @Override
    public void setSortAndFilter(List<SortAndFilterEvent> allColumns) {
        super.setSortAndFilter(allColumns);
        // 开启列头过滤
        for (SortAndFilterEvent event : allColumns) {
            String columnName = event.getColumnName();
            switch (columnName) {
                case "tpv_itemcode":case "tpv_conprodname":case "tpv_conorigin":case "tpv_conspecation":case "tpv_conshader":
                case "tpv_bluered":case "tpv_costdirec":case "tpv_ispointpriceed":case "tpv_tentauth": case "tpv_costype":
                case "tpv_quantity":case "tpv_currency":case "tpv_origprice":case "tpv_rate":case "tpv_origampintax":
                case "tpv_origampnotax":case "tpv_origamptax":case "tpv_basampintax": case "tpv_basampnotax":case "tpv_basamptax":
                case "tpv_soudocumtype":case "tpv_soudocumnum":case "tpv_soudocumid":case "tpv_tiggdoutype":case "tpv_tiggdounum":
                case "tpv_tiggdouid":case "tpv_tiggdoubillid": case "tpv_storagenum":case "tpv_storageid":case "tpv_supstoragenum":
                case "tpv_supstorageid":case "tpv_movegoodsnum":case "tpv_movegoodsid":case "tpv_msungoodsid":case "tpv_redqty":
                case "tpv_elimination": case "tpv_purconnum":case "tpv_combinbun":case "tpv_vendor":case "tpv_logserpro":
                case "tpv_saleconnum":case "tpv_client":case "tpv_tradeproperty":case "tpv_drawback":case "tpv_refundrate":
                case "tpv_id":case "tpv_billno":
                    event.setSort(true);
                    event.setFilter(true);
                    break;
                default:
                    break;
            }
        }
    }
}
