package tpv.tpv_wm.tpv_crm.java.api.entitys;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;

/**
 * @Description: 非配供业务-可放货余额明细表参数 实体类entity
 * @Author LinRui
 * @Date 2024/2/21 10:23
 */
@ApiModel
public class QueryCusCreditBalanceConModel implements Serializable {
    @ApiParam(value = "销售合同号", required = false, example = "''")
    private String contractNo;

    @ApiParam(value = "部门名称", required = false, example = "''")
    private String depName;

    @ApiParam(value = "客户名称", required = false, example = "''")
    private String customerName;
    /**
     * @Description: 销售合同号
     **/
    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }
    /**
     * @Description: 部门名称
     **/
    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }
    /**
     * @Description: 客户
     **/
    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }
}
