package tpv.tpv_wm.tpv_crm.java.api.entitys;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;

/**
 * @Description: 项目配供业务-可放货余额明细表参数 实体类entity
 * @Author LinRui
 * @Date 2024/2/21 10:22
 */
@ApiModel
public class QueryCusCreditBalanceXMModel implements Serializable {
    @ApiParam(value = "项目简称", required = false, example = "''")
    private String project;

    @ApiParam(value = "部门名称", required = false, example = "''")
    private String depName;

    @ApiParam(value = "项目方名称", required = false, example = "''")
    private String customerName;
    /**
     * @Description: 项目简称
     **/
    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }
    /**
     * @Description: 部门名称
     **/
    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }
    /**
     * @Description: 项目方
     **/
    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }
}
