package tpv.tpv_wm.tpv_crm.java.api.entitys;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;

/**
 * @Description: 客户额度使用情况表参数 实体类entity
 * @Author LinRui
 * @Date 2023/10/21 21:07
 */
@ApiModel
public class QueryCusCreditUsageModel implements Serializable {

    @ApiParam(value = "授信类型 -传下拉值：A(全司)、B(部门)", required = false, example = "''")
    private String credittype;
    @ApiParam(value = "查询维度 -传下拉值：A(总额度)、B(单独授信)", required = false, example = "''")
    private String orgcredit;
    @ApiParam(value = "客户集团", required = false, example = "''")
    private String cusgroup;
    @ApiParam(value = "客户名称", required = true, example = "''")
    private String customer;
    @ApiParam(value = "部门名称", required = true, example = "'钢铁产品五部-1组'")
    private String dept;

    /**
     * @Description: 授信类型
     **/
    public String getCredittype() {
        return credittype;
    }

    public void setCredittype(String credittype) {
        this.credittype = credittype;
    }

    /**
     * @Description: 查询维度
     **/
    public String getOrgcredit() {
        return orgcredit;
    }

    public void setOrgcredit(String orgcredit) {
        this.orgcredit = orgcredit;
    }

    /**
     * @Description: 客户集团
     **/
    public String getCusgroup() {
        return cusgroup;
    }

    public void setCusgroup(String cusgroup) {
        this.cusgroup = cusgroup;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    /**
     * @Description: 部门名称
     **/
    public String getDept() {
        return dept;
    }

    public void setDept(String dept) {
        this.dept = dept;
    }
}
