package tpv.tpv_wm.tpv_crm.java.report;

import com.itopview.wm.utils.YEM;
import kd.bos.algo.DataSet;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.report.AbstractReportListDataPlugin;
import kd.bos.entity.report.FilterInfo;
import kd.bos.entity.report.ReportQueryParam;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.sdk.plugin.Plugin;
import tpv.tpv_wm.tpv_crm.java.utils.CusCreditLimitUtils;
import tpv.tpv_wm.tpv_dt.java.utils.PersonnelDepUtils;

/**
 * @Description: 非配供可放余额表-合同   -报表查询
 * @Author LinRui
 * @Date 2023/10/28 14:50
 */
public class CusCreditBalanceConRptQuerys extends AbstractReportListDataPlugin implements Plugin {

    @Override
    public DataSet query(ReportQueryParam reportQueryParam, Object o) throws Throwable {
        FilterInfo filter = reportQueryParam.getFilter();
        //部门
        DynamicObject tpv_dep_filter = null;
        long depId = 0L;
        if (null != filter.getFilterItem("tpv_dep_filter").getValue()) {
            tpv_dep_filter = (DynamicObject) filter.getFilterItem("tpv_dep_filter").getValue();
            depId = tpv_dep_filter.getLong("id");
        }
        //客户
        DynamicObject tpv_customer_filter = null;
        long customerId = 0L;
        if (null != filter.getFilterItem("tpv_customer_filter").getValue()) {///
            tpv_customer_filter = (DynamicObject) filter.getFilterItem("tpv_customer_filter").getValue();
            customerId = tpv_customer_filter.getLong("id");
        }
//        //销售合同号
//        String tpv_salecontract_filter = null;
//        long contractId = 0L;
//        if (null != filter.getFilterItem("tpv_salecontract_filter").getValue()
//                && !"".equals(filter.getFilterItem("tpv_salecontract_filter").getValue().toString())) {
//            tpv_salecontract_filter = (String) filter.getFilterItem("tpv_salecontract_filter").getValue();
//            QFilter qFilter = new QFilter("billno", QCP.equals, tpv_salecontract_filter);
//            DynamicObject[] tpv_dt_salescontract_s = BusinessDataServiceHelper.load("tpv_dt_salescontract",
//                    "id,billno,billstatus", new QFilter[]{qFilter});
//            if (null != tpv_dt_salescontract_s && tpv_dt_salescontract_s.length > 0) {
//                contractId = tpv_dt_salescontract_s[0].getLong("id");
//            }
//        }
        //销售合同号
        String tpv_salecontract_filter = null;
        Long contractId = 0L;
        if (null != filter.getFilterItem("tpv_salecontract_filter").getValue()
                && !"".equals(filter.getFilterItem("tpv_salecontract_filter").getValue().toString())) {
            String contractNo = (String) filter.getFilterItem("tpv_salecontract_filter").getValue();
            DynamicObject dynamicObject = BusinessDataServiceHelper.loadSingle("tpv_dt_salescontract",
                    new QFilter[]{new QFilter("tpv_contractnos", QCP.equals, contractNo)});
            if (YEM.isNotEmpty(dynamicObject)) {
                contractId = dynamicObject.getLong("id");
            }
        }
        String whereFilter="2=2";
        String whereStr = PersonnelDepUtils.createWhereStr(filter, "tpv_departmentid", "tpv_muldepartment");
        if (!"".equals(whereStr)){
            whereFilter=String.format("%s%s", whereFilter, whereStr);
        }
        DataSet balanceCons = CusCreditLimitUtils.getDeliverableBalanceCons(depId, customerId, contractId).where(whereFilter);
        return balanceCons;
    }
}