package tpv.tpv_wm.tpv_crm.java.report;

import kd.bos.algo.DataSet;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.report.AbstractReportListDataPlugin;
import kd.bos.entity.report.FilterInfo;
import kd.bos.entity.report.ReportQueryParam;
import kd.sdk.plugin.Plugin;
import tpv.tpv_wm.tpv_crm.java.utils.CusCreditLimitUtils;

/**
 * 客户赊销额度使用情况表 取数插件
 */
public class CusCreditUseRptQuery extends AbstractReportListDataPlugin implements Plugin {

    @Override
    public DataSet query(ReportQueryParam reportQueryParam, Object o) throws Throwable {
        FilterInfo filter = reportQueryParam.getFilter();
        //部门
        DynamicObject tpv_dep_filter = null;
        long depId = 0L;
        if (null != filter.getFilterItem("tpv_dep_filter").getValue()) {
            tpv_dep_filter = (DynamicObject) filter.getFilterItem("tpv_dep_filter").getValue();
            depId = tpv_dep_filter.getLong("id");
        }
        //客户
        DynamicObject tpv_customer_filter = null;
        long customerId = 0L;
        if (null != filter.getFilterItem("tpv_customer_filter").getValue()) {
            tpv_customer_filter = (DynamicObject) filter.getFilterItem("tpv_customer_filter").getValue();
            customerId = tpv_customer_filter.getLong("id");
        }
        //集团
        String tpv_cusgroup_filter = null;
        if (null != filter.getFilterItem("tpv_cusgroup_filter").getValue()
                && !"".equals(filter.getFilterItem("tpv_cusgroup_filter").getValue().toString())) {
            tpv_cusgroup_filter = (String) filter.getFilterItem("tpv_cusgroup_filter").getValue();
        }

        DataSet cusCreditLimitUses = CusCreditLimitUtils.getCusCreditLimitUses("", "", tpv_cusgroup_filter, customerId, depId);
        return cusCreditLimitUses;
    }
}