package tpv.tpv_wm.tpv_dt.java.formplugin.dynamic;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.form.control.Control;
import kd.bos.form.plugin.AbstractFormPlugin;

import java.math.BigDecimal;
import java.util.EventObject;

/**
 * @Description: 采购作价赋值弹框 -动态表单插件
 * @Author LinRui
 * @Date 2023/9/20 10:18
 */
public class PurPricesEdit extends AbstractFormPlugin {
    @Override
    public void registerListener(EventObject e) {
        super.registerListener(e);
        this.addClickListeners(new String[]{"btnok", "btncancel"});
    }

    /**
     * 点击事件，点击确认回填数据
     */
    @Override
    public void click(EventObject evt) {
        super.click(evt);
        String key = ((Control) evt.getSource()).getKey();
        switch (key) {
            case "btnok":
                DynamicObject dataEntity = this.getModel().getDataEntity(true);
                BigDecimal tpvTaxprice = dataEntity.getBigDecimal("tpv_taxprice");
                this.getView().returnDataToParent(tpvTaxprice);
                this.getView().close();
                break;
        }
    }
}
