package tpv.tpv_wm.tpv_dt.java.formplugin.list;

import kd.bos.form.control.events.BeforeItemClickEvent;
import kd.bos.form.control.events.ItemClickEvent;
import kd.bos.list.plugin.AbstractListPlugin;

/**
 * @Author: Heisenberg Wenbei He
 * @Project: zhkc
 * @Package: com.itopview.wm.dt.formplugin.list.JustWantAttention
 * @Date: 15:31 2023/09/19
 * @Description: 关注船清单列表上的关注按钮事件、传讯网接口，
 * @Version: 1.0
 */
public class AttentionButtonListPlugin extends AbstractListPlugin {
    @Override
    public void beforeItemClick(BeforeItemClickEvent evt) {
        super.beforeItemClick(evt);
        String key = evt.getItemKey();
    }

    @Override
    public void itemClick(ItemClickEvent evt) {
        super.itemClick(evt);
        switch (evt.getItemKey()) {
            case "tpv_personalized": // 个人关注
                break;
            case "tpv_cancelpersonal": // 个人取消
                break;
            case "tpv_departmental": // 部门关注
                break;
            case "tpv_canceldepart": // 部门取消
                break;
            case "tpv_allattention": // 个+部关注
                break;
            case "tpv_trackclean": // 清除轨迹
            default:
                break;
        }
    }
}
