package tpv.tpv_wm.tpv_dt.java.opplugin.convert;


import com.alibaba.fastjson.JSONObject;
import kd.bos.dataentity.OperateOption;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.botp.plugin.AbstractConvertPlugIn;
import kd.bos.entity.botp.plugin.args.AfterGetSourceDataEventArgs;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @ClassName 实提工作台货物流转单下推采购入库单该数据
 * @Description TODO
 * @Author WangShuGuang
 * @Date 2023/9/21
 * @Version 1.0
 */
public class GoodsTurnConvert extends AbstractConvertPlugIn {
    @Override 
    public void afterGetSourceData(AfterGetSourceDataEventArgs e) {
        super.afterGetSourceData(e);
        OperateOption option = this.getOption();
        boolean contains = option.containsVariable("tpv_longList");
        List<DynamicObject> sourceEntryData = e.getSourceRows();
        if (contains) {
            Map<String, Object> innerMap = new HashMap<>();
            String List = this.getOption().getVariableValue("tpv_longList");
            JSONObject jsonObjects = JSONObject.parseObject(List);
            Set<String> keys = jsonObjects.keySet();
            Long myLong = new Long(0);
            for (String keyss : keys) {
                Long outerKey = Long.parseLong(keyss);
                myLong = outerKey;
                JSONObject innerJsonObject = jsonObjects.getJSONObject(keyss);
                Set<String> innerKeys = innerJsonObject.keySet();
                for (String innerKey : innerKeys) {
                    innerMap.put(innerKey, innerJsonObject.get(innerKey));
                }
            }
            for (DynamicObject putStorage : sourceEntryData) {
                Long pkId = (Long) e.getFldProperties().get("tpv_materialentry.id").getValue(putStorage);
                if (myLong.equals(pkId)) {
                    e.getFldProperties().get("tpv_packnum").setValue(putStorage, innerMap.get("tpv_ofpackages"));//包装数量
                    e.getFldProperties().get("tpv_material").setValue(putStorage, innerMap.get("tpv_materials"));//商品
                    e.getFldProperties().get("tpv_prodname").setValue(putStorage, innerMap.get("tpv_prodnames"));//品名
                    e.getFldProperties().get("tpv_shader").setValue(putStorage, innerMap.get("tpv_shaders"));//材质
                    e.getFldProperties().get("tpv_specation").setValue(putStorage, innerMap.get("tpv_specations"));//规格
                    e.getFldProperties().get("tpv_origin").setValue(putStorage, innerMap.get("tpv_origins"));//产地
                    e.getFldProperties().get("tpv_qty").setValue(putStorage, innerMap.get("tpv_purchasequantity"));//采提数量
                }
            }
        }
    }
}
