package tpv.tpv_wm.tpv_iscb.java.api.fadada.entitys;

/**
 * 法大大文件签署-骑缝章信息
 * */
public class AcrossSeal {
	private String sealId;// 骑缝章印章Id
	private Integer acrossSealY;// 骑缝章位置（即高度）
	private Integer pageType = 1;// 骑缝章应用页面,1：全部页面；2：奇数页面，3：偶数页面，4：自定义页数
	private String customPage;// 骑缝章盖章页数，当“骑缝章应用页面”为“自定义区间”时，必填，用"-"做间隔。格式为1-50，则在1-50页区间范围内盖章

	public AcrossSeal() {
		super();
	}

	public String getCustomPage() {
		return customPage;
	}

	public void setCustomPage(String customPage) {
		this.customPage = customPage;
	}

	public String getSealId() {
		return sealId;
	}

	public void setSealId(String sealId) {
		this.sealId = sealId;
	}

	public Integer getAcrossSealY() {
		return acrossSealY;
	}
	
	public void setAcrossSealY(Integer acrossSealY) {
		this.acrossSealY = acrossSealY;
	}
	
	public Integer getPageType() {
		return pageType;
	}
	
	public void setPageType(Integer pageType) {
		this.pageType = pageType;
	}
}
