package tpv.tpv_wm.tpv_iscb.java.api.sealstewardapi;

import kd.bos.openapi.common.custom.annotation.ApiModel;
import kd.bos.openapi.common.custom.annotation.ApiParam;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Author: Heisenberg Wenbei He
 * @Project: zhck
 * @Package: com.itopview.wm.dt.api.sealStewardApi.SealStewardApi
 * @Date: 18:25 2023/10/26
 * @Description: 章管家回推用印结果
 * @Version: 1.0
 */
@ApiModel
public class SealStewardRequestClientModel implements Serializable {
    @ApiParam(value = "申请单id", required = true)
    private String id;
    @ApiParam(value = "用印状态", required = false)
    private int record_status;
    @ApiParam(value = "归档状态", required = false)
    private int upload_status;
    @ApiParam(value = "查看结果URL", required = false)
    private String sealResult;
    @ApiParam(value = "备注", required = false)
    private String remark;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getRecord_status() {
        return record_status;
    }

    public void setRecord_status(int record_status) {
        this.record_status = record_status;
    }

    public int getUpload_status() {
        return upload_status;
    }

    public void setUpload_status(int upload_status) {
        this.upload_status = upload_status;
    }

    public String getSealResult() {
        return sealResult;
    }

    public void setSealResult(String sealResult) {
        this.sealResult = sealResult;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        SealStewardRequestClientModel that = (SealStewardRequestClientModel) o;
        return record_status == that.record_status && upload_status == that.upload_status
                && Objects.equals(id, that.id)
                && Objects.equals(sealResult, that.sealResult) && Objects.equals(remark, that.remark);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, record_status, upload_status, sealResult, remark);
    }

    @Override
    public String toString() {
        return "SealStewardApi{"
                + "id='" + id + '\''
                + ", record_status=" + record_status
                + ", upload_status=" + upload_status
                + ", sealReasult='" + sealResult + '\''
                + ", remark='" + remark + '\''
                + '}';
    }
}
