package tpv.tpv_wm.tpv_sc.java.formplugin.form;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.args.BeforeOperationArgs;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.bos.servicehelper.operation.SaveServiceHelper;


/**
 * @author l j w
 * @date 2023/8/28 14:08
 * @className MarginprofitfundsBillPlugIn
 * @description 资金利润率系数
 */
public class MarginprofitfundsFormPlugIn extends AbstractOperationServicePlugIn {
    @Override
    public void beforeExecuteOperationTransaction(BeforeOperationArgs e) {
        super.beforeExecuteOperationTransaction(e);
        String key = e.getOperationKey();
        switch (key) {
            case "audit":
            case "enable":
                //监控按钮保存
                this.clickSave(e);
                break;
        }
    }

    private void clickSave(BeforeOperationArgs e) {
        DynamicObject[] entities = e.getDataEntities();
//        ExtendedDataEntity[] dataEntities = this.getDataEntities();
        for (DynamicObject entity : entities) {
            String enable = entity.getString("enable");//获取到可用状态的数据
            if (enable != "1") {
                QFilter qFilter = new QFilter("enable", QCP.equals, "1");
                DynamicObject[] profitfund = BusinessDataServiceHelper.load("tpv_profitfund", "id,billno,enable"
                        , new QFilter[]{qFilter}, null);
                if (profitfund.length > 0) {
                    for (int i = 0; i < profitfund.length; i++) {
                        String custmain = profitfund[i].getString("enable");
                        profitfund[i].set("enable", "0");
                    }
                    SaveServiceHelper.save(profitfund);
                }
            }
        }
    }
}