package tpv.tpv_wm.tpv_tm.java.formplugin.form;

import kd.bos.bill.AbstractBillPlugIn;
import kd.bos.entity.datamodel.events.ChangeData;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;

/**
 * @Description: 期货账户申请单 -表单插件
 * @Author LinRui
 * @Date 2024/3/15 19:01
 */
public class FutureaccountFormPlugin extends AbstractBillPlugIn {
    @Override
    public void propertyChanged(PropertyChangedArgs e) {//触发时机：表单模型某个字段值改变的时候就会触发此事件//
        String name = e.getProperty().getName();
        switch (name) {
            case "tpv_futures":
                String tpv_futures = (String) this.getModel().getValue("tpv_futures");
                String replaceAll = tpv_futures.replace(" ", "");//去除空格
                this.getModel().setValue("tpv_futures", replaceAll);
                break;
        }
    }
}
