package tpv.tpv_wm.tpv_tm.java.formplugin.form;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.datamodel.events.ChangeData;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.bos.form.control.EntryGrid;
import kd.bos.form.plugin.AbstractFormPlugin;


/**
 * 期货交易下单人申请-表单
 *
 * @author WangShuGuang
 * @description
 * @date 2023年11月30日
 */
public class FuturesDealFormPlugin extends AbstractFormPlugin {
    /**
     * 人员带出部门
     * @param e
     */
    @Override
    public void propertyChanged(PropertyChangedArgs e) {//触发时机：表单模型某个字段值改变的时候就会触发此事件//
        String propertyName = e.getProperty().getName();
        ChangeData cd = e.getChangeSet()[0];
        if (propertyName.equals("tpv_placeperson")) {
            //下单人
            // 获取单据体选中行
            EntryGrid entryGrid = this.getView().getControl("tpv_tm_placepeople");
            int[] selectRows = entryGrid.getSelectRows();
            for (int selectRow : selectRows) {
                //获取分录数据
                DynamicObject tpvTmAgentcontract = this.getModel().getEntryRowEntity("tpv_tm_placepeople", selectRow);// 获取单据体选中行
                DynamicObject tpvPlaceperson = tpvTmAgentcontract.getDynamicObject("tpv_placeperson");
                // 申请人
                if (tpvPlaceperson != null) {
                    DynamicObjectCollection entrys = tpvPlaceperson.getDynamicObjectCollection("entryentity");// 获取单据体的值
                    // 获取指定单据的列表查询数据
                    for (DynamicObject entry : entrys) {// 循环单据体
                        DynamicObject dpt = entry.getDynamicObject("dpt");//
                        if (dpt != null) {// 判断dpt是否为真
                            tpvTmAgentcontract.set("tpv_departments", dpt);
                            this.getModel().setValue("tpv_departments", dpt, selectRow);// 对申请部门赋值 }
                        } else {
                            tpvTmAgentcontract.set("tpv_departments", null);
                            this.getModel().setValue("tpv_departments", null, selectRow);// 对申请部门赋值 }
                        }
                    }
                    this.getView().updateView("tpv_tm_placepeople");
                }
            }
        }
    }
}
